"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.XmlElementNames = void 0;
/*@Updated <from SourceTree description>
 * Commit: 154dbc66ac018d861c73ce489839cd9f58a1b0cd [154dbc6]
 * Parents: 67756e1846, a9a3297c0f
 * Author: David Claux <dclaux@users.noreply.github.com>
 * Date: Friday, December 4, 2015 3:14:27 AM
 * Labels: upstream/master, origin/master, master
 * Merge pull request #71 from ysanghi/master
 *
 * Publishing Latest Updates from Microsoft
 */
/**
 * XML element names.
 */
var XmlElementNames;
(function (XmlElementNames) {
    XmlElementNames.AllProperties = "AllProperties";
    XmlElementNames.ParentFolderIds = "ParentFolderIds";
    XmlElementNames.DistinguishedFolderId = "DistinguishedFolderId";
    XmlElementNames.ItemId = "ItemId";
    XmlElementNames.ItemIds = "ItemIds";
    XmlElementNames.FolderId = "FolderId";
    XmlElementNames.FolderIds = "FolderIds";
    XmlElementNames.SourceId = "SourceId";
    XmlElementNames.OccurrenceItemId = "OccurrenceItemId";
    XmlElementNames.RecurringMasterItemId = "RecurringMasterItemId";
    XmlElementNames.ItemShape = "ItemShape";
    XmlElementNames.FolderShape = "FolderShape";
    XmlElementNames.BaseShape = "BaseShape";
    XmlElementNames.IndexedPageItemView = "IndexedPageItemView";
    XmlElementNames.IndexedPageFolderView = "IndexedPageFolderView";
    XmlElementNames.FractionalPageItemView = "FractionalPageItemView";
    XmlElementNames.FractionalPageFolderView = "FractionalPageFolderView";
    XmlElementNames.SeekToConditionPageItemView = "SeekToConditionPageItemView";
    XmlElementNames.ResponseCode = "ResponseCode";
    XmlElementNames.RootFolder = "RootFolder";
    XmlElementNames.Folder = "Folder";
    XmlElementNames.ContactsFolder = "ContactsFolder";
    XmlElementNames.TasksFolder = "TasksFolder";
    XmlElementNames.SearchFolder = "SearchFolder";
    XmlElementNames.Folders = "Folders";
    XmlElementNames.Item = "Item";
    XmlElementNames.Items = "Items";
    XmlElementNames.Message = "Message";
    XmlElementNames.Mailbox = "Mailbox";
    XmlElementNames.Body = "Body";
    XmlElementNames.From = "From";
    XmlElementNames.Sender = "Sender";
    XmlElementNames.Name = "Name";
    XmlElementNames.Address = "Address";
    XmlElementNames.EmailAddress = "EmailAddress";
    XmlElementNames.RoutingType = "RoutingType";
    XmlElementNames.MailboxType = "MailboxType";
    XmlElementNames.ToRecipients = "ToRecipients";
    XmlElementNames.CcRecipients = "CcRecipients";
    XmlElementNames.BccRecipients = "BccRecipients";
    XmlElementNames.ReplyTo = "ReplyTo";
    XmlElementNames.ConversationTopic = "ConversationTopic";
    XmlElementNames.ConversationIndex = "ConversationIndex";
    XmlElementNames.IsDeliveryReceiptRequested = "IsDeliveryReceiptRequested";
    XmlElementNames.IsRead = "IsRead";
    XmlElementNames.IsReadReceiptRequested = "IsReadReceiptRequested";
    XmlElementNames.IsResponseRequested = "IsResponseRequested";
    XmlElementNames.InternetMessageId = "InternetMessageId";
    XmlElementNames.References = "References";
    XmlElementNames.ParentItemId = "ParentItemId";
    XmlElementNames.ParentFolderId = "ParentFolderId";
    XmlElementNames.ChildFolderCount = "ChildFolderCount";
    XmlElementNames.DisplayName = "DisplayName";
    XmlElementNames.TotalCount = "TotalCount";
    XmlElementNames.ItemClass = "ItemClass";
    XmlElementNames.FolderClass = "FolderClass";
    XmlElementNames.Subject = "Subject";
    XmlElementNames.MimeContent = "MimeContent";
    XmlElementNames.MimeContentUTF8 = "MimeContentUTF8";
    XmlElementNames.Sensitivity = "Sensitivity";
    XmlElementNames.Attachments = "Attachments";
    XmlElementNames.DateTimeReceived = "DateTimeReceived";
    XmlElementNames.Size = "Size";
    XmlElementNames.Categories = "Categories";
    XmlElementNames.Importance = "Importance";
    XmlElementNames.InReplyTo = "InReplyTo";
    XmlElementNames.IsSubmitted = "IsSubmitted";
    XmlElementNames.IsAssociated = "IsAssociated";
    XmlElementNames.IsDraft = "IsDraft";
    XmlElementNames.IsFromMe = "IsFromMe";
    XmlElementNames.IsHidden = "IsHidden";
    XmlElementNames.IsQuickContact = "IsQuickContact";
    XmlElementNames.IsResend = "IsResend";
    XmlElementNames.IsUnmodified = "IsUnmodified";
    XmlElementNames.IsWritable = "IsWritable";
    XmlElementNames.InternetMessageHeader = "InternetMessageHeader";
    XmlElementNames.InternetMessageHeaders = "InternetMessageHeaders";
    XmlElementNames.DateTimeSent = "DateTimeSent";
    XmlElementNames.DateTimeCreated = "DateTimeCreated";
    XmlElementNames.ResponseObjects = "ResponseObjects";
    XmlElementNames.ReminderDueBy = "ReminderDueBy";
    XmlElementNames.ReminderIsSet = "ReminderIsSet";
    XmlElementNames.ReminderMinutesBeforeStart = "ReminderMinutesBeforeStart";
    XmlElementNames.DisplayCc = "DisplayCc";
    XmlElementNames.DisplayTo = "DisplayTo";
    XmlElementNames.HasAttachments = "HasAttachments";
    XmlElementNames.ExtendedProperty = "ExtendedProperty";
    XmlElementNames.Culture = "Culture";
    XmlElementNames.FileAttachment = "FileAttachment";
    XmlElementNames.ItemAttachment = "ItemAttachment";
    XmlElementNames.AttachmentIds = "AttachmentIds";
    XmlElementNames.AttachmentId = "AttachmentId";
    XmlElementNames.ContentType = "ContentType";
    XmlElementNames.ContentLocation = "ContentLocation";
    XmlElementNames.ContentId = "ContentId";
    XmlElementNames.Content = "Content";
    XmlElementNames.SavedItemFolderId = "SavedItemFolderId";
    XmlElementNames.MessageText = "MessageText";
    XmlElementNames.DescriptiveLinkKey = "DescriptiveLinkKey";
    XmlElementNames.ItemChange = "ItemChange";
    XmlElementNames.ItemChanges = "ItemChanges";
    XmlElementNames.FolderChange = "FolderChange";
    XmlElementNames.FolderChanges = "FolderChanges";
    XmlElementNames.Updates = "Updates";
    XmlElementNames.AppendToItemField = "AppendToItemField";
    XmlElementNames.SetItemField = "SetItemField";
    XmlElementNames.DeleteItemField = "DeleteItemField";
    XmlElementNames.SetFolderField = "SetFolderField";
    XmlElementNames.DeleteFolderField = "DeleteFolderField";
    XmlElementNames.FieldURI = "FieldURI";
    XmlElementNames.RootItemId = "RootItemId";
    XmlElementNames.ReferenceItemId = "ReferenceItemId";
    XmlElementNames.NewBodyContent = "NewBodyContent";
    XmlElementNames.ReplyToItem = "ReplyToItem";
    XmlElementNames.ReplyAllToItem = "ReplyAllToItem";
    XmlElementNames.ForwardItem = "ForwardItem";
    XmlElementNames.AcceptItem = "AcceptItem";
    XmlElementNames.TentativelyAcceptItem = "TentativelyAcceptItem";
    XmlElementNames.DeclineItem = "DeclineItem";
    XmlElementNames.CancelCalendarItem = "CancelCalendarItem";
    XmlElementNames.RemoveItem = "RemoveItem";
    XmlElementNames.SuppressReadReceipt = "SuppressReadReceipt";
    XmlElementNames.SuppressReadReceipts = "SuppressReadReceipts";
    XmlElementNames.String = "String";
    XmlElementNames.Start = "Start";
    XmlElementNames.End = "End";
    XmlElementNames.ProposedStart = "ProposedStart";
    XmlElementNames.ProposedEnd = "ProposedEnd";
    XmlElementNames.OriginalStart = "OriginalStart";
    XmlElementNames.IsAllDayEvent = "IsAllDayEvent";
    XmlElementNames.LegacyFreeBusyStatus = "LegacyFreeBusyStatus";
    XmlElementNames.Location = "Location";
    XmlElementNames.When = "When";
    XmlElementNames.IsMeeting = "IsMeeting";
    XmlElementNames.IsCancelled = "IsCancelled";
    XmlElementNames.IsRecurring = "IsRecurring";
    XmlElementNames.MeetingRequestWasSent = "MeetingRequestWasSent";
    XmlElementNames.CalendarItemType = "CalendarItemType";
    XmlElementNames.MyResponseType = "MyResponseType";
    XmlElementNames.Organizer = "Organizer";
    XmlElementNames.RequiredAttendees = "RequiredAttendees";
    XmlElementNames.OptionalAttendees = "OptionalAttendees";
    XmlElementNames.Resources = "Resources";
    XmlElementNames.ConflictingMeetingCount = "ConflictingMeetingCount";
    XmlElementNames.AdjacentMeetingCount = "AdjacentMeetingCount";
    XmlElementNames.ConflictingMeetings = "ConflictingMeetings";
    XmlElementNames.AdjacentMeetings = "AdjacentMeetings";
    XmlElementNames.Duration = "Duration";
    XmlElementNames.TimeZone = "TimeZone";
    XmlElementNames.AppointmentReplyTime = "AppointmentReplyTime";
    XmlElementNames.AppointmentSequenceNumber = "AppointmentSequenceNumber";
    XmlElementNames.AppointmentState = "AppointmentState";
    XmlElementNames.Recurrence = "Recurrence";
    XmlElementNames.FirstOccurrence = "FirstOccurrence";
    XmlElementNames.LastOccurrence = "LastOccurrence";
    XmlElementNames.ModifiedOccurrences = "ModifiedOccurrences";
    XmlElementNames.DeletedOccurrences = "DeletedOccurrences";
    XmlElementNames.MeetingTimeZone = "MeetingTimeZone";
    XmlElementNames.ConferenceType = "ConferenceType";
    XmlElementNames.AllowNewTimeProposal = "AllowNewTimeProposal";
    XmlElementNames.IsOnlineMeeting = "IsOnlineMeeting";
    XmlElementNames.MeetingWorkspaceUrl = "MeetingWorkspaceUrl";
    XmlElementNames.NetShowUrl = "NetShowUrl";
    XmlElementNames.JoinOnlineMeetingUrl = "JoinOnlineMeetingUrl";
    XmlElementNames.OnlineMeetingSettings = "OnlineMeetingSettings";
    XmlElementNames.LobbyBypass = "LobbyBypass";
    XmlElementNames.AccessLevel = "AccessLevel";
    XmlElementNames.Presenters = "Presenters";
    XmlElementNames.CalendarItem = "CalendarItem";
    XmlElementNames.CalendarFolder = "CalendarFolder";
    XmlElementNames.Attendee = "Attendee";
    XmlElementNames.ResponseType = "ResponseType";
    XmlElementNames.LastResponseTime = "LastResponseTime";
    XmlElementNames.Occurrence = "Occurrence";
    XmlElementNames.DeletedOccurrence = "DeletedOccurrence";
    XmlElementNames.RelativeYearlyRecurrence = "RelativeYearlyRecurrence";
    XmlElementNames.AbsoluteYearlyRecurrence = "AbsoluteYearlyRecurrence";
    XmlElementNames.RelativeMonthlyRecurrence = "RelativeMonthlyRecurrence";
    XmlElementNames.AbsoluteMonthlyRecurrence = "AbsoluteMonthlyRecurrence";
    XmlElementNames.WeeklyRecurrence = "WeeklyRecurrence";
    XmlElementNames.DailyRecurrence = "DailyRecurrence";
    XmlElementNames.DailyRegeneration = "DailyRegeneration";
    XmlElementNames.WeeklyRegeneration = "WeeklyRegeneration";
    XmlElementNames.MonthlyRegeneration = "MonthlyRegeneration";
    XmlElementNames.YearlyRegeneration = "YearlyRegeneration";
    XmlElementNames.NoEndRecurrence = "NoEndRecurrence";
    XmlElementNames.EndDateRecurrence = "EndDateRecurrence";
    XmlElementNames.NumberedRecurrence = "NumberedRecurrence";
    XmlElementNames.Interval = "Interval";
    XmlElementNames.DayOfMonth = "DayOfMonth";
    XmlElementNames.DayOfWeek = "DayOfWeek";
    XmlElementNames.DaysOfWeek = "DaysOfWeek";
    XmlElementNames.DayOfWeekIndex = "DayOfWeekIndex";
    XmlElementNames.Month = "Month";
    XmlElementNames.StartDate = "StartDate";
    XmlElementNames.EndDate = "EndDate";
    XmlElementNames.StartTime = "StartTime";
    XmlElementNames.EndTime = "EndTime";
    XmlElementNames.NumberOfOccurrences = "NumberOfOccurrences";
    XmlElementNames.AssociatedCalendarItemId = "AssociatedCalendarItemId";
    XmlElementNames.IsDelegated = "IsDelegated";
    XmlElementNames.IsOutOfDate = "IsOutOfDate";
    XmlElementNames.HasBeenProcessed = "HasBeenProcessed";
    XmlElementNames.IsOrganizer = "IsOrganizer";
    XmlElementNames.MeetingMessage = "MeetingMessage";
    XmlElementNames.FileAs = "FileAs";
    XmlElementNames.FileAsMapping = "FileAsMapping";
    XmlElementNames.GivenName = "GivenName";
    XmlElementNames.Initials = "Initials";
    XmlElementNames.MiddleName = "MiddleName";
    XmlElementNames.NickName = "Nickname";
    XmlElementNames.CompleteName = "CompleteName";
    XmlElementNames.CompanyName = "CompanyName";
    XmlElementNames.EmailAddresses = "EmailAddresses";
    XmlElementNames.PhysicalAddresses = "PhysicalAddresses";
    XmlElementNames.PhoneNumbers = "PhoneNumbers";
    XmlElementNames.PhoneNumber = "PhoneNumber";
    XmlElementNames.AssistantName = "AssistantName";
    XmlElementNames.Birthday = "Birthday";
    XmlElementNames.BusinessHomePage = "BusinessHomePage";
    XmlElementNames.Children = "Children";
    XmlElementNames.Companies = "Companies";
    XmlElementNames.ContactSource = "ContactSource";
    XmlElementNames.Department = "Department";
    XmlElementNames.Generation = "Generation";
    XmlElementNames.ImAddresses = "ImAddresses";
    XmlElementNames.ImAddress = "ImAddress";
    XmlElementNames.JobTitle = "JobTitle";
    XmlElementNames.Manager = "Manager";
    XmlElementNames.Mileage = "Mileage";
    XmlElementNames.OfficeLocation = "OfficeLocation";
    XmlElementNames.PostalAddressIndex = "PostalAddressIndex";
    XmlElementNames.Profession = "Profession";
    XmlElementNames.SpouseName = "SpouseName";
    XmlElementNames.Surname = "Surname";
    XmlElementNames.WeddingAnniversary = "WeddingAnniversary";
    XmlElementNames.HasPicture = "HasPicture";
    XmlElementNames.Title = "Title";
    XmlElementNames.FirstName = "FirstName";
    XmlElementNames.LastName = "LastName";
    XmlElementNames.Suffix = "Suffix";
    XmlElementNames.FullName = "FullName";
    XmlElementNames.YomiFirstName = "YomiFirstName";
    XmlElementNames.YomiLastName = "YomiLastName";
    XmlElementNames.Contact = "Contact";
    XmlElementNames.Entry = "Entry";
    XmlElementNames.Street = "Street";
    XmlElementNames.City = "City";
    XmlElementNames.State = "State";
    XmlElementNames.SharePointSiteUrl = "SharePointSiteUrl";
    XmlElementNames.Country = "Country";
    XmlElementNames.CountryOrRegion = "CountryOrRegion";
    XmlElementNames.PostalCode = "PostalCode";
    XmlElementNames.PostOfficeBox = "PostOfficeBox";
    XmlElementNames.Members = "Members";
    XmlElementNames.Member = "Member";
    XmlElementNames.AdditionalProperties = "AdditionalProperties";
    XmlElementNames.ExtendedFieldURI = "ExtendedFieldURI";
    XmlElementNames.Value = "Value";
    XmlElementNames.Values = "Values";
    XmlElementNames.ToFolderId = "ToFolderId";
    XmlElementNames.ActualWork = "ActualWork";
    XmlElementNames.AssignedTime = "AssignedTime";
    XmlElementNames.BillingInformation = "BillingInformation";
    XmlElementNames.ChangeCount = "ChangeCount";
    XmlElementNames.CompleteDate = "CompleteDate";
    XmlElementNames.Contacts = "Contacts";
    XmlElementNames.DelegationState = "DelegationState";
    XmlElementNames.Delegator = "Delegator";
    XmlElementNames.DueDate = "DueDate";
    XmlElementNames.IsAssignmentEditable = "IsAssignmentEditable";
    XmlElementNames.IsComplete = "IsComplete";
    XmlElementNames.IsTeamTask = "IsTeamTask";
    XmlElementNames.Owner = "Owner";
    XmlElementNames.PercentComplete = "PercentComplete";
    XmlElementNames.Status = "Status";
    XmlElementNames.StatusDescription = "StatusDescription";
    XmlElementNames.TotalWork = "TotalWork";
    XmlElementNames.Task = "Task";
    XmlElementNames.MailboxCulture = "MailboxCulture";
    XmlElementNames.MeetingRequestType = "MeetingRequestType";
    XmlElementNames.IntendedFreeBusyStatus = "IntendedFreeBusyStatus";
    XmlElementNames.MeetingRequest = "MeetingRequest";
    XmlElementNames.MeetingResponse = "MeetingResponse";
    XmlElementNames.MeetingCancellation = "MeetingCancellation";
    XmlElementNames.ChangeHighlights = "ChangeHighlights";
    XmlElementNames.HasLocationChanged = "HasLocationChanged";
    XmlElementNames.HasStartTimeChanged = "HasStartTimeChanged";
    XmlElementNames.HasEndTimeChanged = "HasEndTimeChanged";
    XmlElementNames.BaseOffset = "BaseOffset";
    XmlElementNames.Offset = "Offset";
    XmlElementNames.Standard = "Standard";
    XmlElementNames.Daylight = "Daylight";
    XmlElementNames.Time = "Time";
    XmlElementNames.AbsoluteDate = "AbsoluteDate";
    XmlElementNames.UnresolvedEntry = "UnresolvedEntry";
    XmlElementNames.ResolutionSet = "ResolutionSet";
    XmlElementNames.Resolution = "Resolution";
    XmlElementNames.DistributionList = "DistributionList";
    XmlElementNames.DLExpansion = "DLExpansion";
    XmlElementNames.IndexedFieldURI = "IndexedFieldURI";
    XmlElementNames.PullSubscriptionRequest = "PullSubscriptionRequest";
    XmlElementNames.PushSubscriptionRequest = "PushSubscriptionRequest";
    XmlElementNames.StreamingSubscriptionRequest = "StreamingSubscriptionRequest";
    XmlElementNames.EventTypes = "EventTypes";
    XmlElementNames.EventType = "EventType";
    XmlElementNames.Timeout = "Timeout";
    XmlElementNames.Watermark = "Watermark";
    XmlElementNames.SubscriptionId = "SubscriptionId";
    XmlElementNames.SubscriptionIds = "SubscriptionIds";
    XmlElementNames.StatusFrequency = "StatusFrequency";
    XmlElementNames.URL = "URL";
    XmlElementNames.CallerData = "CallerData";
    XmlElementNames.Notification = "Notification";
    XmlElementNames.Notifications = "Notifications";
    XmlElementNames.PreviousWatermark = "PreviousWatermark";
    XmlElementNames.MoreEvents = "MoreEvents";
    XmlElementNames.TimeStamp = "TimeStamp";
    XmlElementNames.UnreadCount = "UnreadCount";
    XmlElementNames.OldParentFolderId = "OldParentFolderId";
    XmlElementNames.CopiedEvent = "CopiedEvent";
    XmlElementNames.CreatedEvent = "CreatedEvent";
    XmlElementNames.DeletedEvent = "DeletedEvent";
    XmlElementNames.ModifiedEvent = "ModifiedEvent";
    XmlElementNames.MovedEvent = "MovedEvent";
    XmlElementNames.NewMailEvent = "NewMailEvent";
    XmlElementNames.StatusEvent = "StatusEvent";
    XmlElementNames.FreeBusyChangedEvent = "FreeBusyChangedEvent";
    XmlElementNames.ExchangeImpersonation = "ExchangeImpersonation";
    XmlElementNames.ConnectingSID = "ConnectingSID";
    XmlElementNames.OpenAsAdminOrSystemService = "OpenAsAdminOrSystemService";
    XmlElementNames.LogonType = "LogonType";
    XmlElementNames.BudgetType = "BudgetType";
    XmlElementNames.ManagementRole = "ManagementRole";
    XmlElementNames.UserRoles = "UserRoles";
    XmlElementNames.ApplicationRoles = "ApplicationRoles";
    XmlElementNames.Role = "Role";
    XmlElementNames.SyncFolderId = "SyncFolderId";
    XmlElementNames.SyncScope = "SyncScope";
    XmlElementNames.SyncState = "SyncState";
    XmlElementNames.Ignore = "Ignore";
    XmlElementNames.MaxChangesReturned = "MaxChangesReturned";
    XmlElementNames.Changes = "Changes";
    XmlElementNames.IncludesLastItemInRange = "IncludesLastItemInRange";
    XmlElementNames.IncludesLastFolderInRange = "IncludesLastFolderInRange";
    XmlElementNames.Create = "Create";
    XmlElementNames.Update = "Update";
    XmlElementNames.Delete = "Delete";
    XmlElementNames.ReadFlagChange = "ReadFlagChange";
    XmlElementNames.SearchParameters = "SearchParameters";
    XmlElementNames.SoftDeleted = "SoftDeleted";
    XmlElementNames.Shallow = "Shallow";
    XmlElementNames.Associated = "Associated";
    XmlElementNames.BaseFolderId = "BaseFolderId";
    XmlElementNames.BaseFolderIds = "BaseFolderIds";
    XmlElementNames.SortOrder = "SortOrder";
    XmlElementNames.FieldOrder = "FieldOrder";
    XmlElementNames.CanDelete = "CanDelete";
    XmlElementNames.CanRenameOrMove = "CanRenameOrMove";
    XmlElementNames.MustDisplayComment = "MustDisplayComment";
    XmlElementNames.HasQuota = "HasQuota";
    XmlElementNames.IsManagedFoldersRoot = "IsManagedFoldersRoot";
    XmlElementNames.ManagedFolderId = "ManagedFolderId";
    XmlElementNames.Comment = "Comment";
    XmlElementNames.StorageQuota = "StorageQuota";
    XmlElementNames.FolderSize = "FolderSize";
    XmlElementNames.HomePage = "HomePage";
    XmlElementNames.ManagedFolderInformation = "ManagedFolderInformation";
    XmlElementNames.CalendarView = "CalendarView";
    XmlElementNames.PostedTime = "PostedTime";
    XmlElementNames.PostItem = "PostItem";
    XmlElementNames.RequestServerVersion = "RequestServerVersion";
    XmlElementNames.PostReplyItem = "PostReplyItem";
    XmlElementNames.CreateAssociated = "CreateAssociated";
    XmlElementNames.CreateContents = "CreateContents";
    XmlElementNames.CreateHierarchy = "CreateHierarchy";
    XmlElementNames.Modify = "Modify";
    XmlElementNames.Read = "Read";
    XmlElementNames.EffectiveRights = "EffectiveRights";
    XmlElementNames.LastModifiedName = "LastModifiedName";
    XmlElementNames.LastModifiedTime = "LastModifiedTime";
    XmlElementNames.ConversationId = "ConversationId";
    XmlElementNames.UniqueBody = "UniqueBody";
    XmlElementNames.BodyType = "BodyType";
    XmlElementNames.NormalizedBodyType = "NormalizedBodyType";
    XmlElementNames.UniqueBodyType = "UniqueBodyType";
    XmlElementNames.AttachmentShape = "AttachmentShape";
    XmlElementNames.UserId = "UserId";
    XmlElementNames.UserIds = "UserIds";
    XmlElementNames.CanCreateItems = "CanCreateItems";
    XmlElementNames.CanCreateSubFolders = "CanCreateSubFolders";
    XmlElementNames.IsFolderOwner = "IsFolderOwner";
    XmlElementNames.IsFolderVisible = "IsFolderVisible";
    XmlElementNames.IsFolderContact = "IsFolderContact";
    XmlElementNames.EditItems = "EditItems";
    XmlElementNames.DeleteItems = "DeleteItems";
    XmlElementNames.ReadItems = "ReadItems";
    XmlElementNames.PermissionLevel = "PermissionLevel";
    XmlElementNames.CalendarPermissionLevel = "CalendarPermissionLevel";
    XmlElementNames.SID = "SID";
    XmlElementNames.PrimarySmtpAddress = "PrimarySmtpAddress";
    XmlElementNames.DistinguishedUser = "DistinguishedUser";
    XmlElementNames.PermissionSet = "PermissionSet";
    XmlElementNames.Permissions = "Permissions";
    XmlElementNames.Permission = "Permission";
    XmlElementNames.CalendarPermissions = "CalendarPermissions";
    XmlElementNames.CalendarPermission = "CalendarPermission";
    XmlElementNames.GroupBy = "GroupBy";
    XmlElementNames.AggregateOn = "AggregateOn";
    XmlElementNames.Groups = "Groups";
    XmlElementNames.GroupedItems = "GroupedItems";
    XmlElementNames.GroupIndex = "GroupIndex";
    XmlElementNames.ConflictResults = "ConflictResults";
    XmlElementNames.Count = "Count";
    XmlElementNames.OofSettings = "OofSettings";
    XmlElementNames.UserOofSettings = "UserOofSettings";
    XmlElementNames.OofState = "OofState";
    XmlElementNames.ExternalAudience = "ExternalAudience";
    XmlElementNames.AllowExternalOof = "AllowExternalOof";
    XmlElementNames.InternalReply = "InternalReply";
    XmlElementNames.ExternalReply = "ExternalReply";
    XmlElementNames.Bias = "Bias";
    XmlElementNames.DayOrder = "DayOrder";
    XmlElementNames.Year = "Year";
    XmlElementNames.StandardTime = "StandardTime";
    XmlElementNames.DaylightTime = "DaylightTime";
    XmlElementNames.MailboxData = "MailboxData";
    XmlElementNames.MailboxDataArray = "MailboxDataArray";
    XmlElementNames.Email = "Email";
    XmlElementNames.AttendeeType = "AttendeeType";
    XmlElementNames.ExcludeConflicts = "ExcludeConflicts";
    XmlElementNames.FreeBusyViewOptions = "FreeBusyViewOptions";
    XmlElementNames.SuggestionsViewOptions = "SuggestionsViewOptions";
    XmlElementNames.FreeBusyView = "FreeBusyView";
    XmlElementNames.TimeWindow = "TimeWindow";
    XmlElementNames.MergedFreeBusyIntervalInMinutes = "MergedFreeBusyIntervalInMinutes";
    XmlElementNames.RequestedView = "RequestedView";
    XmlElementNames.FreeBusyViewType = "FreeBusyViewType";
    XmlElementNames.CalendarEventArray = "CalendarEventArray";
    XmlElementNames.CalendarEvent = "CalendarEvent";
    XmlElementNames.BusyType = "BusyType";
    XmlElementNames.MergedFreeBusy = "MergedFreeBusy";
    XmlElementNames.WorkingHours = "WorkingHours";
    XmlElementNames.WorkingPeriodArray = "WorkingPeriodArray";
    XmlElementNames.WorkingPeriod = "WorkingPeriod";
    XmlElementNames.StartTimeInMinutes = "StartTimeInMinutes";
    XmlElementNames.EndTimeInMinutes = "EndTimeInMinutes";
    XmlElementNames.GoodThreshold = "GoodThreshold";
    XmlElementNames.MaximumResultsByDay = "MaximumResultsByDay";
    XmlElementNames.MaximumNonWorkHourResultsByDay = "MaximumNonWorkHourResultsByDay";
    XmlElementNames.MeetingDurationInMinutes = "MeetingDurationInMinutes";
    XmlElementNames.MinimumSuggestionQuality = "MinimumSuggestionQuality";
    XmlElementNames.DetailedSuggestionsWindow = "DetailedSuggestionsWindow";
    XmlElementNames.CurrentMeetingTime = "CurrentMeetingTime";
    XmlElementNames.GlobalObjectId = "GlobalObjectId";
    XmlElementNames.SuggestionDayResultArray = "SuggestionDayResultArray";
    XmlElementNames.SuggestionDayResult = "SuggestionDayResult";
    XmlElementNames.Date = "Date";
    XmlElementNames.DayQuality = "DayQuality";
    XmlElementNames.SuggestionArray = "SuggestionArray";
    XmlElementNames.Suggestion = "Suggestion";
    XmlElementNames.MeetingTime = "MeetingTime";
    XmlElementNames.IsWorkTime = "IsWorkTime";
    XmlElementNames.SuggestionQuality = "SuggestionQuality";
    XmlElementNames.AttendeeConflictDataArray = "AttendeeConflictDataArray";
    XmlElementNames.UnknownAttendeeConflictData = "UnknownAttendeeConflictData";
    XmlElementNames.TooBigGroupAttendeeConflictData = "TooBigGroupAttendeeConflictData";
    XmlElementNames.IndividualAttendeeConflictData = "IndividualAttendeeConflictData";
    XmlElementNames.GroupAttendeeConflictData = "GroupAttendeeConflictData";
    XmlElementNames.NumberOfMembers = "NumberOfMembers";
    XmlElementNames.NumberOfMembersAvailable = "NumberOfMembersAvailable";
    XmlElementNames.NumberOfMembersWithConflict = "NumberOfMembersWithConflict";
    XmlElementNames.NumberOfMembersWithNoData = "NumberOfMembersWithNoData";
    XmlElementNames.SourceIds = "SourceIds";
    XmlElementNames.AlternateId = "AlternateId";
    XmlElementNames.AlternatePublicFolderId = "AlternatePublicFolderId";
    XmlElementNames.AlternatePublicFolderItemId = "AlternatePublicFolderItemId";
    XmlElementNames.DelegatePermissions = "DelegatePermissions";
    XmlElementNames.ReceiveCopiesOfMeetingMessages = "ReceiveCopiesOfMeetingMessages";
    XmlElementNames.ViewPrivateItems = "ViewPrivateItems";
    XmlElementNames.CalendarFolderPermissionLevel = "CalendarFolderPermissionLevel";
    XmlElementNames.TasksFolderPermissionLevel = "TasksFolderPermissionLevel";
    XmlElementNames.InboxFolderPermissionLevel = "InboxFolderPermissionLevel";
    XmlElementNames.ContactsFolderPermissionLevel = "ContactsFolderPermissionLevel";
    XmlElementNames.NotesFolderPermissionLevel = "NotesFolderPermissionLevel";
    XmlElementNames.JournalFolderPermissionLevel = "JournalFolderPermissionLevel";
    XmlElementNames.DelegateUser = "DelegateUser";
    XmlElementNames.DelegateUsers = "DelegateUsers";
    XmlElementNames.DeliverMeetingRequests = "DeliverMeetingRequests";
    XmlElementNames.MessageXml = "MessageXml";
    XmlElementNames.UserConfiguration = "UserConfiguration";
    XmlElementNames.UserConfigurationName = "UserConfigurationName";
    XmlElementNames.UserConfigurationProperties = "UserConfigurationProperties";
    XmlElementNames.Dictionary = "Dictionary";
    XmlElementNames.DictionaryEntry = "DictionaryEntry";
    XmlElementNames.DictionaryKey = "DictionaryKey";
    XmlElementNames.DictionaryValue = "DictionaryValue";
    XmlElementNames.XmlData = "XmlData";
    XmlElementNames.BinaryData = "BinaryData";
    XmlElementNames.FilterHtmlContent = "FilterHtmlContent";
    XmlElementNames.ConvertHtmlCodePageToUTF8 = "ConvertHtmlCodePageToUTF8";
    XmlElementNames.UnknownEntries = "UnknownEntries";
    XmlElementNames.UnknownEntry = "UnknownEntry";
    XmlElementNames.PasswordExpirationDate = "PasswordExpirationDate";
    XmlElementNames.Flag = "Flag";
    XmlElementNames.PersonaPostalAddress = "PostalAddress";
    XmlElementNames.PostalAddressType = "Type";
    XmlElementNames.EnhancedLocation = "EnhancedLocation";
    XmlElementNames.LocationDisplayName = "DisplayName";
    XmlElementNames.LocationAnnotation = "Annotation";
    XmlElementNames.LocationSource = "LocationSource";
    XmlElementNames.LocationUri = "LocationUri";
    XmlElementNames.Latitude = "Latitude";
    XmlElementNames.Longitude = "Longitude";
    XmlElementNames.Accuracy = "Accuracy";
    XmlElementNames.Altitude = "Altitude";
    XmlElementNames.AltitudeAccuracy = "AltitudeAccuracy";
    XmlElementNames.FormattedAddress = "FormattedAddress";
    XmlElementNames.Guid = "Guid";
    XmlElementNames.PhoneCallId = "PhoneCallId";
    XmlElementNames.DialString = "DialString";
    XmlElementNames.PhoneCallInformation = "PhoneCallInformation";
    XmlElementNames.PhoneCallState = "PhoneCallState";
    XmlElementNames.ConnectionFailureCause = "ConnectionFailureCause";
    XmlElementNames.SIPResponseCode = "SIPResponseCode";
    XmlElementNames.SIPResponseText = "SIPResponseText";
    XmlElementNames.WebClientReadFormQueryString = "WebClientReadFormQueryString";
    XmlElementNames.WebClientEditFormQueryString = "WebClientEditFormQueryString";
    XmlElementNames.Ids = "Ids";
    XmlElementNames.Id = "Id";
    XmlElementNames.TimeZoneDefinitions = "TimeZoneDefinitions";
    XmlElementNames.TimeZoneDefinition = "TimeZoneDefinition";
    XmlElementNames.Periods = "Periods";
    XmlElementNames.Period = "Period";
    XmlElementNames.TransitionsGroups = "TransitionsGroups";
    XmlElementNames.TransitionsGroup = "TransitionsGroup";
    XmlElementNames.Transitions = "Transitions";
    XmlElementNames.Transition = "Transition";
    XmlElementNames.AbsoluteDateTransition = "AbsoluteDateTransition";
    XmlElementNames.RecurringDayTransition = "RecurringDayTransition";
    XmlElementNames.RecurringDateTransition = "RecurringDateTransition";
    XmlElementNames.DateTime = "DateTime";
    XmlElementNames.TimeOffset = "TimeOffset";
    XmlElementNames.Day = "Day";
    XmlElementNames.TimeZoneContext = "TimeZoneContext";
    XmlElementNames.StartTimeZone = "StartTimeZone";
    XmlElementNames.EndTimeZone = "EndTimeZone";
    XmlElementNames.ReceivedBy = "ReceivedBy";
    XmlElementNames.ReceivedRepresenting = "ReceivedRepresenting";
    XmlElementNames.Uid = "UID";
    XmlElementNames.RecurrenceId = "RecurrenceId";
    XmlElementNames.DateTimeStamp = "DateTimeStamp";
    XmlElementNames.IsInline = "IsInline";
    XmlElementNames.IsContactPhoto = "IsContactPhoto";
    XmlElementNames.QueryString = "QueryString";
    XmlElementNames.HighlightTerms = "HighlightTerms";
    XmlElementNames.HighlightTerm = "Term";
    XmlElementNames.HighlightTermScope = "Scope";
    XmlElementNames.HighlightTermValue = "Value";
    XmlElementNames.CalendarEventDetails = "CalendarEventDetails";
    XmlElementNames.ID = "ID";
    XmlElementNames.IsException = "IsException";
    XmlElementNames.IsReminderSet = "IsReminderSet";
    XmlElementNames.IsPrivate = "IsPrivate";
    XmlElementNames.FirstDayOfWeek = "FirstDayOfWeek";
    XmlElementNames.Verb = "Verb";
    XmlElementNames.Parameter = "Parameter";
    XmlElementNames.ReturnValue = "ReturnValue";
    XmlElementNames.ReturnNewItemIds = "ReturnNewItemIds";
    XmlElementNames.DateTimePrecision = "DateTimePrecision";
    XmlElementNames.ConvertInlineImagesToDataUrls = "ConvertInlineImagesToDataUrls";
    XmlElementNames.InlineImageUrlTemplate = "InlineImageUrlTemplate";
    XmlElementNames.BlockExternalImages = "BlockExternalImages";
    XmlElementNames.AddBlankTargetToLinks = "AddBlankTargetToLinks";
    XmlElementNames.MaximumBodySize = "MaximumBodySize";
    XmlElementNames.StoreEntryId = "StoreEntryId";
    XmlElementNames.InstanceKey = "InstanceKey";
    XmlElementNames.NormalizedBody = "NormalizedBody";
    XmlElementNames.PolicyTag = "PolicyTag";
    XmlElementNames.ArchiveTag = "ArchiveTag";
    XmlElementNames.RetentionDate = "RetentionDate";
    XmlElementNames.DisableReason = "DisableReason";
    XmlElementNames.AppMarketplaceUrl = "AppMarketplaceUrl";
    XmlElementNames.TextBody = "TextBody";
    XmlElementNames.IconIndex = "IconIndex";
    XmlElementNames.GlobalIconIndex = "GlobalIconIndex";
    XmlElementNames.DraftItemIds = "DraftItemIds";
    XmlElementNames.HasIrm = "HasIrm";
    XmlElementNames.GlobalHasIrm = "GlobalHasIrm";
    XmlElementNames.ApprovalRequestData = "ApprovalRequestData";
    XmlElementNames.IsUndecidedApprovalRequest = "IsUndecidedApprovalRequest";
    XmlElementNames.ApprovalDecision = "ApprovalDecision";
    XmlElementNames.ApprovalDecisionMaker = "ApprovalDecisionMaker";
    XmlElementNames.ApprovalDecisionTime = "ApprovalDecisionTime";
    XmlElementNames.VotingOptionData = "VotingOptionData";
    XmlElementNames.VotingOptionDisplayName = "DisplayName";
    XmlElementNames.SendPrompt = "SendPrompt";
    XmlElementNames.VotingInformation = "VotingInformation";
    XmlElementNames.UserOptions = "UserOptions";
    XmlElementNames.VotingResponse = "VotingResponse";
    XmlElementNames.NumberOfDays = "NumberOfDays";
    XmlElementNames.AcceptanceState = "AcceptanceState";
    XmlElementNames.NlgEntityExtractionResult = "EntityExtractionResult";
    XmlElementNames.NlgAddresses = "Addresses";
    XmlElementNames.NlgAddress = "Address";
    XmlElementNames.NlgMeetingSuggestions = "MeetingSuggestions";
    XmlElementNames.NlgMeetingSuggestion = "MeetingSuggestion";
    XmlElementNames.NlgTaskSuggestions = "TaskSuggestions";
    XmlElementNames.NlgTaskSuggestion = "TaskSuggestion";
    XmlElementNames.NlgBusinessName = "BusinessName";
    XmlElementNames.NlgPeopleName = "PeopleName";
    XmlElementNames.NlgEmailAddresses = "EmailAddresses";
    XmlElementNames.NlgEmailAddress = "EmailAddress";
    XmlElementNames.NlgEmailPosition = "Position";
    XmlElementNames.NlgContacts = "Contacts";
    XmlElementNames.NlgContact = "Contact";
    XmlElementNames.NlgContactString = "ContactString";
    XmlElementNames.NlgUrls = "Urls";
    XmlElementNames.NlgUrl = "Url";
    XmlElementNames.NlgPhoneNumbers = "PhoneNumbers";
    XmlElementNames.NlgPhone = "Phone";
    XmlElementNames.NlgAttendees = "Attendees";
    XmlElementNames.NlgEmailUser = "EmailUser";
    XmlElementNames.NlgLocation = "Location";
    XmlElementNames.NlgSubject = "Subject";
    XmlElementNames.NlgMeetingString = "MeetingString";
    XmlElementNames.NlgStartTime = "StartTime";
    XmlElementNames.NlgEndTime = "EndTime";
    XmlElementNames.NlgTaskString = "TaskString";
    XmlElementNames.NlgAssignees = "Assignees";
    XmlElementNames.NlgPersonName = "PersonName";
    XmlElementNames.NlgOriginalPhoneString = "OriginalPhoneString";
    XmlElementNames.NlgPhoneString = "PhoneString";
    XmlElementNames.NlgType = "Type";
    XmlElementNames.NlgName = "Name";
    XmlElementNames.NlgUserId = "UserId";
    XmlElementNames.GetClientAccessToken = "GetClientAccessToken";
    XmlElementNames.GetClientAccessTokenResponse = "GetClientAccessTokenResponse";
    XmlElementNames.GetClientAccessTokenResponseMessage = "GetClientAccessTokenResponseMessage";
    XmlElementNames.TokenRequests = "TokenRequests";
    XmlElementNames.TokenRequest = "TokenRequest";
    XmlElementNames.TokenType = "TokenType";
    XmlElementNames.TokenValue = "TokenValue";
    XmlElementNames.TTL = "TTL";
    XmlElementNames.Tokens = "Tokens";
    XmlElementNames.MarkAsJunk = "MarkAsJunk";
    XmlElementNames.MarkAsJunkResponse = "MarkAsJunkResponse";
    XmlElementNames.MarkAsJunkResponseMessage = "MarkAsJunkResponseMessage";
    XmlElementNames.MovedItemId = "MovedItemId";
    /* #region Persona */
    XmlElementNames.CreationTime = "CreationTime";
    XmlElementNames.People = "People";
    XmlElementNames.Persona = "Persona";
    XmlElementNames.PersonaId = "PersonaId";
    XmlElementNames.PersonaShape = "PersonaShape";
    XmlElementNames.RelevanceScore = "RelevanceScore";
    XmlElementNames.TotalNumberOfPeopleInView = "TotalNumberOfPeopleInView";
    XmlElementNames.FirstMatchingRowIndex = "FirstMatchingRowIndex";
    XmlElementNames.FirstLoadedRowIndex = "FirstLoadedRowIndex";
    XmlElementNames.YomiCompanyName = "YomiCompanyName";
    XmlElementNames.Emails1 = "Emails1";
    XmlElementNames.Emails2 = "Emails2";
    XmlElementNames.Emails3 = "Emails3";
    XmlElementNames.HomeAddresses = "HomeAddresses";
    XmlElementNames.BusinessAddresses = "BusinessAddresses";
    XmlElementNames.OtherAddresses = "OtherAddresses";
    XmlElementNames.BusinessPhoneNumbers = "BusinessPhoneNumbers";
    XmlElementNames.BusinessPhoneNumbers2 = "BusinessPhoneNumbers2";
    XmlElementNames.AssistantPhoneNumbers = "AssistantPhoneNumbers";
    XmlElementNames.TTYTDDPhoneNumbers = "TTYTDDPhoneNumbers";
    XmlElementNames.HomePhones = "HomePhones";
    XmlElementNames.HomePhones2 = "HomePhones2";
    XmlElementNames.MobilePhones = "MobilePhones";
    XmlElementNames.MobilePhones2 = "MobilePhones2";
    XmlElementNames.CallbackPhones = "CallbackPhones";
    XmlElementNames.CarPhones = "CarPhones";
    XmlElementNames.HomeFaxes = "HomeFaxes";
    XmlElementNames.OrganizationMainPhones = "OrganizationMainPhones";
    XmlElementNames.OtherFaxes = "OtherFaxes";
    XmlElementNames.OtherTelephones = "OtherTelephones";
    XmlElementNames.OtherPhones2 = "OtherPhones2";
    XmlElementNames.Pagers = "Pagers";
    XmlElementNames.RadioPhones = "RadioPhones";
    XmlElementNames.TelexNumbers = "TelexNumbers";
    XmlElementNames.WorkFaxes = "WorkFaxes";
    XmlElementNames.FileAses = "FileAses";
    XmlElementNames.CompanyNames = "CompanyNames";
    XmlElementNames.DisplayNames = "DisplayNames";
    XmlElementNames.DisplayNamePrefixes = "DisplayNamePrefixes";
    XmlElementNames.GivenNames = "GivenNames";
    XmlElementNames.MiddleNames = "MiddleNames";
    XmlElementNames.Surnames = "Surnames";
    XmlElementNames.Generations = "Generations";
    XmlElementNames.Nicknames = "Nicknames";
    XmlElementNames.YomiCompanyNames = "YomiCompanyNames";
    XmlElementNames.YomiFirstNames = "YomiFirstNames";
    XmlElementNames.YomiLastNames = "YomiLastNames";
    XmlElementNames.Managers = "Managers";
    XmlElementNames.AssistantNames = "AssistantNames";
    XmlElementNames.Professions = "Professions";
    XmlElementNames.SpouseNames = "SpouseNames";
    XmlElementNames.Departments = "Departments";
    XmlElementNames.Titles = "Titles";
    XmlElementNames.ImAddresses2 = "ImAddresses2";
    XmlElementNames.ImAddresses3 = "ImAddresses3";
    XmlElementNames.DisplayNamePrefix = "DisplayNamePrefix";
    XmlElementNames.DisplayNameFirstLast = "DisplayNameFirstLast";
    XmlElementNames.DisplayNameLastFirst = "DisplayNameLastFirst";
    XmlElementNames.DisplayNameFirstLastHeader = "DisplayNameFirstLastHeader";
    XmlElementNames.DisplayNameLastFirstHeader = "DisplayNameLastFirstHeader";
    XmlElementNames.IsFavorite = "IsFavorite";
    XmlElementNames.Schools = "Schools";
    XmlElementNames.Hobbies = "Hobbies";
    XmlElementNames.Locations = "Locations";
    XmlElementNames.OfficeLocations = "OfficeLocations";
    XmlElementNames.BusinessHomePages = "BusinessHomePages";
    XmlElementNames.PersonalHomePages = "PersonalHomePages";
    XmlElementNames.ThirdPartyPhotoUrls = "ThirdPartyPhotoUrls";
    XmlElementNames.Attribution = "Attribution";
    XmlElementNames.Attributions = "Attributions";
    XmlElementNames.StringAttributedValue = "StringAttributedValue";
    XmlElementNames.DisplayNameFirstLastSortKey = "DisplayNameFirstLastSortKey";
    XmlElementNames.DisplayNameLastFirstSortKey = "DisplayNameLastFirstSortKey";
    XmlElementNames.CompanyNameSortKey = "CompanyNameSortKey";
    XmlElementNames.HomeCitySortKey = "HomeCitySortKey";
    XmlElementNames.WorkCitySortKey = "WorkCitySortKey";
    XmlElementNames.FileAsId = "FileAsId";
    XmlElementNames.FileAsIds = "FileAsIds";
    XmlElementNames.HomeCity = "HomeCity";
    XmlElementNames.WorkCity = "WorkCity";
    XmlElementNames.PersonaType = "PersonaType";
    XmlElementNames.Birthdays = "Birthdays";
    XmlElementNames.BirthdaysLocal = "BirthdaysLocal";
    XmlElementNames.WeddingAnniversaries = "WeddingAnniversaries";
    XmlElementNames.WeddingAnniversariesLocal = "WeddingAnniversariesLocal";
    XmlElementNames.OriginalDisplayName = "OriginalDisplayName";
    /* #endregion */
    /* #region People Insights */
    XmlElementNames.Person = "Person";
    XmlElementNames.Insights = "Insights";
    XmlElementNames.Insight = "Insight";
    XmlElementNames.InsightGroupType = "InsightGroupType";
    XmlElementNames.InsightType = "InsightType";
    XmlElementNames.InsightSourceType = "InsightSourceType";
    XmlElementNames.InsightValue = "InsightValue";
    XmlElementNames.InsightSource = "InsightSource";
    XmlElementNames.UpdatedUtcTicks = "UpdatedUtcTicks";
    XmlElementNames.StringInsightValue = "StringInsightValue";
    XmlElementNames.ProfileInsightValue = "ProfileInsightValue";
    XmlElementNames.JobInsightValue = "JobInsightValue";
    XmlElementNames.UserProfilePicture = "UserProfilePicture";
    XmlElementNames.EducationInsightValue = "EducationInsightValue";
    XmlElementNames.SkillInsightValue = "SkillInsightValue";
    XmlElementNames.DelveDoc = "DelveDoc";
    XmlElementNames.CompanyInsightValue = "CompanyInsightValue";
    XmlElementNames.ArrayOfInsightValue = "ArrayOfInsightValue";
    XmlElementNames.InsightContent = "InsightContent";
    XmlElementNames.SingleValueInsightContent = "SingleValueInsightContent";
    XmlElementNames.MultiValueInsightContent = "MultiValueInsightContent";
    XmlElementNames.ArrayOfInsight = "ArrayOfInsight";
    XmlElementNames.PersonType = "PersonType";
    XmlElementNames.SatoriId = "SatoriId";
    XmlElementNames.DescriptionAttribution = "DescriptionAttribution";
    XmlElementNames.ImageUrl = "ImageUrl";
    XmlElementNames.ImageUrlAttribution = "ImageUrlAttribution";
    XmlElementNames.YearFound = "YearFound";
    XmlElementNames.FinanceSymbol = "FinanceSymbol";
    XmlElementNames.WebsiteUrl = "WebsiteUrl";
    XmlElementNames.Rank = "Rank";
    XmlElementNames.Author = "Author";
    XmlElementNames.Created = "Created";
    XmlElementNames.DefaultEncodingURL = "DefaultEncodingURL";
    XmlElementNames.FileType = "FileType";
    XmlElementNames.Data = "Data";
    XmlElementNames.ItemList = "ItemList";
    XmlElementNames.Avatar = "Avatar";
    XmlElementNames.JoinedUtcTicks = "JoinedUtcTicks";
    XmlElementNames.Company = "Company";
    XmlElementNames.StartUtcTicks = "StartUtcTicks";
    XmlElementNames.EndUtcTicks = "EndUtcTicks";
    XmlElementNames.Blob = "Blob";
    XmlElementNames.PhotoSize = "PhotoSize";
    XmlElementNames.Institute = "Institute";
    XmlElementNames.Degree = "Degree";
    XmlElementNames.Strength = "Strength";
    /* #endregion */
    /* #region Conversations */
    XmlElementNames.Conversations = "Conversations";
    XmlElementNames.Conversation = "Conversation";
    XmlElementNames.UniqueRecipients = "UniqueRecipients";
    XmlElementNames.GlobalUniqueRecipients = "GlobalUniqueRecipients";
    XmlElementNames.UniqueUnreadSenders = "UniqueUnreadSenders";
    XmlElementNames.GlobalUniqueUnreadSenders = "GlobalUniqueUnreadSenders";
    XmlElementNames.UniqueSenders = "UniqueSenders";
    XmlElementNames.GlobalUniqueSenders = "GlobalUniqueSenders";
    XmlElementNames.LastDeliveryTime = "LastDeliveryTime";
    XmlElementNames.GlobalLastDeliveryTime = "GlobalLastDeliveryTime";
    XmlElementNames.GlobalCategories = "GlobalCategories";
    XmlElementNames.FlagStatus = "FlagStatus";
    XmlElementNames.GlobalFlagStatus = "GlobalFlagStatus";
    XmlElementNames.GlobalHasAttachments = "GlobalHasAttachments";
    XmlElementNames.MessageCount = "MessageCount";
    XmlElementNames.GlobalMessageCount = "GlobalMessageCount";
    XmlElementNames.GlobalUnreadCount = "GlobalUnreadCount";
    XmlElementNames.GlobalSize = "GlobalSize";
    XmlElementNames.ItemClasses = "ItemClasses";
    XmlElementNames.GlobalItemClasses = "GlobalItemClasses";
    XmlElementNames.GlobalImportance = "GlobalImportance";
    XmlElementNames.GlobalInferredImportance = "GlobalInferredImportance";
    XmlElementNames.GlobalItemIds = "GlobalItemIds";
    XmlElementNames.ChangeType = "ChangeType";
    XmlElementNames.ReadFlag = "ReadFlag";
    XmlElementNames.TotalConversationsInView = "TotalConversationsInView";
    XmlElementNames.IndexedOffset = "IndexedOffset";
    XmlElementNames.ConversationShape = "ConversationShape";
    XmlElementNames.MailboxScope = "MailboxScope";
    // ApplyConversationAction
    XmlElementNames.ApplyConversationAction = "ApplyConversationAction";
    XmlElementNames.ConversationActions = "ConversationActions";
    XmlElementNames.ConversationAction = "ConversationAction";
    XmlElementNames.ApplyConversationActionResponse = "ApplyConversationActionResponse";
    XmlElementNames.ApplyConversationActionResponseMessage = "ApplyConversationActionResponseMessage";
    XmlElementNames.EnableAlwaysDelete = "EnableAlwaysDelete";
    XmlElementNames.ProcessRightAway = "ProcessRightAway";
    XmlElementNames.DestinationFolderId = "DestinationFolderId";
    XmlElementNames.ContextFolderId = "ContextFolderId";
    XmlElementNames.ConversationLastSyncTime = "ConversationLastSyncTime";
    XmlElementNames.AlwaysCategorize = "AlwaysCategorize";
    XmlElementNames.AlwaysDelete = "AlwaysDelete";
    XmlElementNames.AlwaysMove = "AlwaysMove";
    XmlElementNames.Move = "Move";
    XmlElementNames.Copy = "Copy";
    XmlElementNames.SetReadState = "SetReadState";
    XmlElementNames.SetRetentionPolicy = "SetRetentionPolicy";
    XmlElementNames.DeleteType = "DeleteType";
    XmlElementNames.RetentionPolicyType = "RetentionPolicyType";
    XmlElementNames.RetentionPolicyTagId = "RetentionPolicyTagId";
    // GetConversationItems
    XmlElementNames.FoldersToIgnore = "FoldersToIgnore";
    XmlElementNames.ParentInternetMessageId = "ParentInternetMessageId";
    XmlElementNames.ConversationNode = "ConversationNode";
    XmlElementNames.ConversationNodes = "ConversationNodes";
    XmlElementNames.MaxItemsToReturn = "MaxItemsToReturn";
    /* #endregion */
    /* #region TeamMailbox */
    XmlElementNames.SetTeamMailbox = "SetTeamMailbox";
    XmlElementNames.SetTeamMailboxResponse = "SetTeamMailboxResponse";
    XmlElementNames.UnpinTeamMailbox = "UnpinTeamMailbox";
    XmlElementNames.UnpinTeamMailboxResponse = "UnpinTeamMailboxResponse";
    /* #endregion */
    /* #region RoomList & Room */
    XmlElementNames.RoomLists = "RoomLists";
    XmlElementNames.Rooms = "Rooms";
    XmlElementNames.Room = "Room";
    XmlElementNames.RoomList = "RoomList";
    XmlElementNames.RoomId = "Id";
    /* #endregion */
    /* #region Autodiscover */
    XmlElementNames.Autodiscover = "Autodiscover";
    XmlElementNames.BinarySecret = "BinarySecret";
    XmlElementNames.Response = "Response";
    XmlElementNames.User = "User";
    XmlElementNames.LegacyDN = "LegacyDN";
    XmlElementNames.DeploymentId = "DeploymentId";
    XmlElementNames.Account = "Account";
    XmlElementNames.AccountType = "AccountType";
    XmlElementNames.Action = "Action";
    XmlElementNames.To = "To";
    XmlElementNames.RedirectAddr = "RedirectAddr";
    XmlElementNames.RedirectUrl = "RedirectUrl";
    XmlElementNames.Protocol = "Protocol";
    XmlElementNames.Type = "Type";
    XmlElementNames.Server = "Server";
    XmlElementNames.OwnerSmtpAddress = "OwnerSmtpAddress";
    XmlElementNames.ServerDN = "ServerDN";
    XmlElementNames.ServerVersion = "ServerVersion";
    XmlElementNames.ServerVersionInfo = "ServerVersionInfo";
    XmlElementNames.AD = "AD";
    XmlElementNames.AuthPackage = "AuthPackage";
    XmlElementNames.MdbDN = "MdbDN";
    XmlElementNames.EWSUrl = "EwsUrl"; // Server side emits "Ews", not "EWS".
    XmlElementNames.EwsPartnerUrl = "EwsPartnerUrl";
    XmlElementNames.EmwsUrl = "EmwsUrl";
    XmlElementNames.ASUrl = "ASUrl";
    XmlElementNames.OOFUrl = "OOFUrl";
    XmlElementNames.UMUrl = "UMUrl";
    XmlElementNames.OABUrl = "OABUrl";
    XmlElementNames.Internal = "Internal";
    XmlElementNames.External = "External";
    XmlElementNames.OWAUrl = "OWAUrl";
    XmlElementNames.Error = "Error";
    XmlElementNames.ErrorCode = "ErrorCode";
    XmlElementNames.DebugData = "DebugData";
    XmlElementNames.Users = "Users";
    XmlElementNames.RequestedSettings = "RequestedSettings";
    XmlElementNames.Setting = "Setting";
    XmlElementNames.GetUserSettingsRequestMessage = "GetUserSettingsRequestMessage";
    XmlElementNames.RequestedServerVersion = "RequestedServerVersion";
    XmlElementNames.Request = "Request";
    XmlElementNames.RedirectTarget = "RedirectTarget";
    XmlElementNames.UserSettings = "UserSettings";
    XmlElementNames.UserSettingErrors = "UserSettingErrors";
    XmlElementNames.GetUserSettingsResponseMessage = "GetUserSettingsResponseMessage";
    XmlElementNames.ErrorMessage = "ErrorMessage";
    XmlElementNames.UserResponse = "UserResponse";
    XmlElementNames.UserResponses = "UserResponses";
    XmlElementNames.UserSettingError = "UserSettingError";
    XmlElementNames.Domain = "Domain";
    XmlElementNames.Domains = "Domains";
    XmlElementNames.DomainResponse = "DomainResponse";
    XmlElementNames.DomainResponses = "DomainResponses";
    XmlElementNames.DomainSetting = "DomainSetting";
    XmlElementNames.DomainSettings = "DomainSettings";
    XmlElementNames.DomainStringSetting = "DomainStringSetting";
    XmlElementNames.DomainSettingError = "DomainSettingError";
    XmlElementNames.DomainSettingErrors = "DomainSettingErrors";
    XmlElementNames.GetDomainSettingsRequestMessage = "GetDomainSettingsRequestMessage";
    XmlElementNames.GetDomainSettingsResponseMessage = "GetDomainSettingsResponseMessage";
    XmlElementNames.SettingName = "SettingName";
    XmlElementNames.UserSetting = "UserSetting";
    XmlElementNames.StringSetting = "StringSetting";
    XmlElementNames.WebClientUrlCollectionSetting = "WebClientUrlCollectionSetting";
    XmlElementNames.WebClientUrls = "WebClientUrls";
    XmlElementNames.WebClientUrl = "WebClientUrl";
    XmlElementNames.AuthenticationMethods = "AuthenticationMethods";
    XmlElementNames.Url = "Url";
    XmlElementNames.AlternateMailboxCollectionSetting = "AlternateMailboxCollectionSetting";
    XmlElementNames.AlternateMailboxes = "AlternateMailboxes";
    XmlElementNames.AlternateMailbox = "AlternateMailbox";
    XmlElementNames.ProtocolConnectionCollectionSetting = "ProtocolConnectionCollectionSetting";
    XmlElementNames.ProtocolConnections = "ProtocolConnections";
    XmlElementNames.ProtocolConnection = "ProtocolConnection";
    XmlElementNames.DocumentSharingLocationCollectionSetting = "DocumentSharingLocationCollectionSetting";
    XmlElementNames.DocumentSharingLocations = "DocumentSharingLocations";
    XmlElementNames.DocumentSharingLocation = "DocumentSharingLocation";
    XmlElementNames.ServiceUrl = "ServiceUrl";
    XmlElementNames.LocationUrl = "LocationUrl";
    XmlElementNames.SupportedFileExtensions = "SupportedFileExtensions";
    XmlElementNames.FileExtension = "FileExtension";
    XmlElementNames.ExternalAccessAllowed = "ExternalAccessAllowed";
    XmlElementNames.AnonymousAccessAllowed = "AnonymousAccessAllowed";
    XmlElementNames.CanModifyPermissions = "CanModifyPermissions";
    XmlElementNames.IsDefault = "IsDefault";
    XmlElementNames.EncryptionMethod = "EncryptionMethod";
    XmlElementNames.Hostname = "Hostname";
    XmlElementNames.Port = "Port";
    XmlElementNames.Version = "Version";
    XmlElementNames.MajorVersion = "MajorVersion";
    XmlElementNames.MinorVersion = "MinorVersion";
    XmlElementNames.MajorBuildNumber = "MajorBuildNumber";
    XmlElementNames.MinorBuildNumber = "MinorBuildNumber";
    XmlElementNames.RequestedVersion = "RequestedVersion";
    XmlElementNames.PublicFolderServer = "PublicFolderServer";
    XmlElementNames.Ssl = "SSL";
    XmlElementNames.SharingUrl = "SharingUrl";
    XmlElementNames.EcpUrl = "EcpUrl";
    XmlElementNames.EcpUrl_um = "EcpUrl-um";
    XmlElementNames.EcpUrl_aggr = "EcpUrl-aggr";
    XmlElementNames.EcpUrl_sms = "EcpUrl-sms";
    XmlElementNames.EcpUrl_mt = "EcpUrl-mt";
    XmlElementNames.EcpUrl_ret = "EcpUrl-ret";
    XmlElementNames.EcpUrl_publish = "EcpUrl-publish";
    XmlElementNames.EcpUrl_photo = "EcpUrl-photo";
    XmlElementNames.ExchangeRpcUrl = "ExchangeRpcUrl";
    XmlElementNames.EcpUrl_connect = "EcpUrl-connect";
    XmlElementNames.EcpUrl_tm = "EcpUrl-tm";
    XmlElementNames.EcpUrl_tmCreating = "EcpUrl-tmCreating";
    XmlElementNames.EcpUrl_tmEditing = "EcpUrl-tmEditing";
    XmlElementNames.EcpUrl_tmHiding = "EcpUrl-tmHiding";
    XmlElementNames.SiteMailboxCreationURL = "SiteMailboxCreationURL";
    XmlElementNames.EcpUrl_extinstall = "EcpUrl-extinstall";
    XmlElementNames.PartnerToken = "PartnerToken";
    XmlElementNames.PartnerTokenReference = "PartnerTokenReference";
    XmlElementNames.ServerExclusiveConnect = "ServerExclusiveConnect";
    XmlElementNames.AutoDiscoverSMTPAddress = "AutoDiscoverSMTPAddress";
    XmlElementNames.CertPrincipalName = "CertPrincipalName";
    XmlElementNames.GroupingInformation = "GroupingInformation";
    /* #endregion */
    /* #region InboxRule */
    XmlElementNames.MailboxSmtpAddress = "MailboxSmtpAddress";
    XmlElementNames.RuleId = "RuleId";
    XmlElementNames.Priority = "Priority";
    XmlElementNames.IsEnabled = "IsEnabled";
    XmlElementNames.IsNotSupported = "IsNotSupported";
    XmlElementNames.IsInError = "IsInError";
    XmlElementNames.Conditions = "Conditions";
    XmlElementNames.Exceptions = "Exceptions";
    XmlElementNames.Actions = "Actions";
    XmlElementNames.InboxRules = "InboxRules";
    XmlElementNames.Rule = "Rule";
    XmlElementNames.OutlookRuleBlobExists = "OutlookRuleBlobExists";
    XmlElementNames.RemoveOutlookRuleBlob = "RemoveOutlookRuleBlob";
    XmlElementNames.ContainsBodyStrings = "ContainsBodyStrings";
    XmlElementNames.ContainsHeaderStrings = "ContainsHeaderStrings";
    XmlElementNames.ContainsRecipientStrings = "ContainsRecipientStrings";
    XmlElementNames.ContainsSenderStrings = "ContainsSenderStrings";
    XmlElementNames.ContainsSubjectOrBodyStrings = "ContainsSubjectOrBodyStrings";
    XmlElementNames.ContainsSubjectStrings = "ContainsSubjectStrings";
    XmlElementNames.FlaggedForAction = "FlaggedForAction";
    XmlElementNames.FromAddresses = "FromAddresses";
    XmlElementNames.FromConnectedAccounts = "FromConnectedAccounts";
    XmlElementNames.IsApprovalRequest = "IsApprovalRequest";
    XmlElementNames.IsAutomaticForward = "IsAutomaticForward";
    XmlElementNames.IsAutomaticReply = "IsAutomaticReply";
    XmlElementNames.IsEncrypted = "IsEncrypted";
    XmlElementNames.IsMeetingRequest = "IsMeetingRequest";
    XmlElementNames.IsMeetingResponse = "IsMeetingResponse";
    XmlElementNames.IsNDR = "IsNDR";
    XmlElementNames.IsPermissionControlled = "IsPermissionControlled";
    XmlElementNames.IsSigned = "IsSigned";
    XmlElementNames.IsVoicemail = "IsVoicemail";
    XmlElementNames.IsReadReceipt = "IsReadReceipt";
    XmlElementNames.MessageClassifications = "MessageClassifications";
    XmlElementNames.NotSentToMe = "NotSentToMe";
    XmlElementNames.SentCcMe = "SentCcMe";
    XmlElementNames.SentOnlyToMe = "SentOnlyToMe";
    XmlElementNames.SentToAddresses = "SentToAddresses";
    XmlElementNames.SentToMe = "SentToMe";
    XmlElementNames.SentToOrCcMe = "SentToOrCcMe";
    XmlElementNames.WithinDateRange = "WithinDateRange";
    XmlElementNames.WithinSizeRange = "WithinSizeRange";
    XmlElementNames.MinimumSize = "MinimumSize";
    XmlElementNames.MaximumSize = "MaximumSize";
    XmlElementNames.StartDateTime = "StartDateTime";
    XmlElementNames.EndDateTime = "EndDateTime";
    XmlElementNames.AssignCategories = "AssignCategories";
    XmlElementNames.CopyToFolder = "CopyToFolder";
    XmlElementNames.FlagMessage = "FlagMessage";
    XmlElementNames.ForwardAsAttachmentToRecipients = "ForwardAsAttachmentToRecipients";
    XmlElementNames.ForwardToRecipients = "ForwardToRecipients";
    XmlElementNames.MarkImportance = "MarkImportance";
    XmlElementNames.MarkAsRead = "MarkAsRead";
    XmlElementNames.MoveToFolder = "MoveToFolder";
    XmlElementNames.PermanentDelete = "PermanentDelete";
    XmlElementNames.RedirectToRecipients = "RedirectToRecipients";
    XmlElementNames.SendSMSAlertToRecipients = "SendSMSAlertToRecipients";
    XmlElementNames.ServerReplyWithMessage = "ServerReplyWithMessage";
    XmlElementNames.StopProcessingRules = "StopProcessingRules";
    XmlElementNames.CreateRuleOperation = "CreateRuleOperation";
    XmlElementNames.SetRuleOperation = "SetRuleOperation";
    XmlElementNames.DeleteRuleOperation = "DeleteRuleOperation";
    XmlElementNames.Operations = "Operations";
    XmlElementNames.RuleOperationErrors = "RuleOperationErrors";
    XmlElementNames.RuleOperationError = "RuleOperationError";
    XmlElementNames.OperationIndex = "OperationIndex";
    XmlElementNames.ValidationErrors = "ValidationErrors";
    XmlElementNames.FieldValue = "FieldValue";
    /* #endregion */
    /* #region Restrictions */
    XmlElementNames.Not = "Not";
    XmlElementNames.Bitmask = "Bitmask";
    XmlElementNames.Constant = "Constant";
    XmlElementNames.Restriction = "Restriction";
    XmlElementNames.Condition = "Condition";
    XmlElementNames.Contains = "Contains";
    XmlElementNames.Excludes = "Excludes";
    XmlElementNames.Exists = "Exists";
    XmlElementNames.FieldURIOrConstant = "FieldURIOrConstant";
    XmlElementNames.And = "And";
    XmlElementNames.Or = "Or";
    XmlElementNames.IsEqualTo = "IsEqualTo";
    XmlElementNames.IsNotEqualTo = "IsNotEqualTo";
    XmlElementNames.IsGreaterThan = "IsGreaterThan";
    XmlElementNames.IsGreaterThanOrEqualTo = "IsGreaterThanOrEqualTo";
    XmlElementNames.IsLessThan = "IsLessThan";
    XmlElementNames.IsLessThanOrEqualTo = "IsLessThanOrEqualTo";
    /* #endregion */
    /* #region Directory only contact properties */
    XmlElementNames.PhoneticFullName = "PhoneticFullName";
    XmlElementNames.PhoneticFirstName = "PhoneticFirstName";
    XmlElementNames.PhoneticLastName = "PhoneticLastName";
    XmlElementNames.Alias = "Alias";
    XmlElementNames.Notes = "Notes";
    XmlElementNames.Photo = "Photo";
    XmlElementNames.UserSMIMECertificate = "UserSMIMECertificate";
    XmlElementNames.MSExchangeCertificate = "MSExchangeCertificate";
    XmlElementNames.DirectoryId = "DirectoryId";
    XmlElementNames.ManagerMailbox = "ManagerMailbox";
    XmlElementNames.DirectReports = "DirectReports";
    /* #endregion */
    /* #region Photos */
    XmlElementNames.SizeRequested = "SizeRequested";
    XmlElementNames.HasChanged = "HasChanged";
    XmlElementNames.PictureData = "PictureData";
    /* #endregion */
    /* #region Request/response element names */
    XmlElementNames.ResponseMessage = "ResponseMessage";
    XmlElementNames.ResponseMessages = "ResponseMessages";
    // FindConversation
    XmlElementNames.FindConversation = "FindConversation";
    XmlElementNames.FindConversationResponse = "FindConversationResponse";
    XmlElementNames.FindConversationResponseMessage = "FindConversationResponseMessage";
    // GetConversationItems
    XmlElementNames.GetConversationItems = "GetConversationItems";
    XmlElementNames.GetConversationItemsResponse = "GetConversationItemsResponse";
    XmlElementNames.GetConversationItemsResponseMessage = "GetConversationItemsResponseMessage";
    // FindItem
    XmlElementNames.FindItem = "FindItem";
    XmlElementNames.FindItemResponse = "FindItemResponse";
    XmlElementNames.FindItemResponseMessage = "FindItemResponseMessage";
    // GetItem
    XmlElementNames.GetItem = "GetItem";
    XmlElementNames.GetItemResponse = "GetItemResponse";
    XmlElementNames.GetItemResponseMessage = "GetItemResponseMessage";
    // CreateItem
    XmlElementNames.CreateItem = "CreateItem";
    XmlElementNames.CreateItemResponse = "CreateItemResponse";
    XmlElementNames.CreateItemResponseMessage = "CreateItemResponseMessage";
    // SendItem
    XmlElementNames.SendItem = "SendItem";
    XmlElementNames.SendItemResponse = "SendItemResponse";
    XmlElementNames.SendItemResponseMessage = "SendItemResponseMessage";
    // DeleteItem
    XmlElementNames.DeleteItem = "DeleteItem";
    XmlElementNames.DeleteItemResponse = "DeleteItemResponse";
    XmlElementNames.DeleteItemResponseMessage = "DeleteItemResponseMessage";
    // UpdateItem
    XmlElementNames.UpdateItem = "UpdateItem";
    XmlElementNames.UpdateItemResponse = "UpdateItemResponse";
    XmlElementNames.UpdateItemResponseMessage = "UpdateItemResponseMessage";
    // CopyItem
    XmlElementNames.CopyItem = "CopyItem";
    XmlElementNames.CopyItemResponse = "CopyItemResponse";
    XmlElementNames.CopyItemResponseMessage = "CopyItemResponseMessage";
    // MoveItem
    XmlElementNames.MoveItem = "MoveItem";
    XmlElementNames.MoveItemResponse = "MoveItemResponse";
    XmlElementNames.MoveItemResponseMessage = "MoveItemResponseMessage";
    // ArchiveItem
    XmlElementNames.ArchiveItem = "ArchiveItem";
    XmlElementNames.ArchiveItemResponse = "ArchiveItemResponse";
    XmlElementNames.ArchiveItemResponseMessage = "ArchiveItemResponseMessage";
    XmlElementNames.ArchiveSourceFolderId = "ArchiveSourceFolderId";
    // FindFolder
    XmlElementNames.FindFolder = "FindFolder";
    XmlElementNames.FindFolderResponse = "FindFolderResponse";
    XmlElementNames.FindFolderResponseMessage = "FindFolderResponseMessage";
    // GetFolder
    XmlElementNames.GetFolder = "GetFolder";
    XmlElementNames.GetFolderResponse = "GetFolderResponse";
    XmlElementNames.GetFolderResponseMessage = "GetFolderResponseMessage";
    // CreateFolder
    XmlElementNames.CreateFolder = "CreateFolder";
    XmlElementNames.CreateFolderResponse = "CreateFolderResponse";
    XmlElementNames.CreateFolderResponseMessage = "CreateFolderResponseMessage";
    // DeleteFolder
    XmlElementNames.DeleteFolder = "DeleteFolder";
    XmlElementNames.DeleteFolderResponse = "DeleteFolderResponse";
    XmlElementNames.DeleteFolderResponseMessage = "DeleteFolderResponseMessage";
    // EmptyFolder
    XmlElementNames.EmptyFolder = "EmptyFolder";
    XmlElementNames.EmptyFolderResponse = "EmptyFolderResponse";
    XmlElementNames.EmptyFolderResponseMessage = "EmptyFolderResponseMessage";
    // UpdateFolder
    XmlElementNames.UpdateFolder = "UpdateFolder";
    XmlElementNames.UpdateFolderResponse = "UpdateFolderResponse";
    XmlElementNames.UpdateFolderResponseMessage = "UpdateFolderResponseMessage";
    // CopyFolder
    XmlElementNames.CopyFolder = "CopyFolder";
    XmlElementNames.CopyFolderResponse = "CopyFolderResponse";
    XmlElementNames.CopyFolderResponseMessage = "CopyFolderResponseMessage";
    // MoveFolder
    XmlElementNames.MoveFolder = "MoveFolder";
    XmlElementNames.MoveFolderResponse = "MoveFolderResponse";
    XmlElementNames.MoveFolderResponseMessage = "MoveFolderResponseMessage";
    // MarkAllItemsAsRead
    XmlElementNames.MarkAllItemsAsRead = "MarkAllItemsAsRead";
    XmlElementNames.MarkAllItemsAsReadResponse = "MarkAllItemsAsReadResponse";
    XmlElementNames.MarkAllItemsAsReadResponseMessage = "MarkAllItemsAsReadResponseMessage";
    // FindPeople
    XmlElementNames.FindPeople = "FindPeople";
    XmlElementNames.FindPeopleResponse = "FindPeopleResponse";
    XmlElementNames.FindPeopleResponseMessage = "FindPeopleResponseMessage";
    // GetPeopleInsights
    XmlElementNames.GetPeopleInsights = "GetPeopleInsights";
    XmlElementNames.GetPeopleInsightsResponse = "GetPeopleInsightsResponse";
    XmlElementNames.GetPeopleInsightsResponseMessage = "GetPeopleInsightsResponseMessage";
    // GetUserPhoto
    XmlElementNames.GetUserPhoto = "GetUserPhoto";
    XmlElementNames.GetUserPhotoResponse = "GetUserPhotoResponse";
    XmlElementNames.GetUserPhotoResponseMessage = "GetUserPhotoResponseMessage";
    // GetAttachment
    XmlElementNames.GetAttachment = "GetAttachment";
    XmlElementNames.GetAttachmentResponse = "GetAttachmentResponse";
    XmlElementNames.GetAttachmentResponseMessage = "GetAttachmentResponseMessage";
    // CreateAttachment
    XmlElementNames.CreateAttachment = "CreateAttachment";
    XmlElementNames.CreateAttachmentResponse = "CreateAttachmentResponse";
    XmlElementNames.CreateAttachmentResponseMessage = "CreateAttachmentResponseMessage";
    // DeleteAttachment
    XmlElementNames.DeleteAttachment = "DeleteAttachment";
    XmlElementNames.DeleteAttachmentResponse = "DeleteAttachmentResponse";
    XmlElementNames.DeleteAttachmentResponseMessage = "DeleteAttachmentResponseMessage";
    // ResolveNames
    XmlElementNames.ResolveNames = "ResolveNames";
    XmlElementNames.ResolveNamesResponse = "ResolveNamesResponse";
    XmlElementNames.ResolveNamesResponseMessage = "ResolveNamesResponseMessage";
    // ExpandDL
    XmlElementNames.ExpandDL = "ExpandDL";
    XmlElementNames.ExpandDLResponse = "ExpandDLResponse";
    XmlElementNames.ExpandDLResponseMessage = "ExpandDLResponseMessage";
    // Subscribe
    XmlElementNames.Subscribe = "Subscribe";
    XmlElementNames.SubscribeResponse = "SubscribeResponse";
    XmlElementNames.SubscribeResponseMessage = "SubscribeResponseMessage";
    XmlElementNames.SubscriptionRequest = "SubscriptionRequest";
    // Unsubscribe
    XmlElementNames.Unsubscribe = "Unsubscribe";
    XmlElementNames.UnsubscribeResponse = "UnsubscribeResponse";
    XmlElementNames.UnsubscribeResponseMessage = "UnsubscribeResponseMessage";
    // GetEvents
    XmlElementNames.GetEvents = "GetEvents";
    XmlElementNames.GetEventsResponse = "GetEventsResponse";
    XmlElementNames.GetEventsResponseMessage = "GetEventsResponseMessage";
    // GetStreamingEvents
    XmlElementNames.GetStreamingEvents = "GetStreamingEvents";
    XmlElementNames.GetStreamingEventsResponse = "GetStreamingEventsResponse";
    XmlElementNames.GetStreamingEventsResponseMessage = "GetStreamingEventsResponseMessage";
    XmlElementNames.ConnectionStatus = "ConnectionStatus";
    XmlElementNames.ErrorSubscriptionIds = "ErrorSubscriptionIds";
    XmlElementNames.ConnectionTimeout = "ConnectionTimeout";
    XmlElementNames.HeartbeatFrequency = "HeartbeatFrequency";
    // SyncFolderItems
    XmlElementNames.SyncFolderItems = "SyncFolderItems";
    XmlElementNames.SyncFolderItemsResponse = "SyncFolderItemsResponse";
    XmlElementNames.SyncFolderItemsResponseMessage = "SyncFolderItemsResponseMessage";
    // SyncFolderHierarchy
    XmlElementNames.SyncFolderHierarchy = "SyncFolderHierarchy";
    XmlElementNames.SyncFolderHierarchyResponse = "SyncFolderHierarchyResponse";
    XmlElementNames.SyncFolderHierarchyResponseMessage = "SyncFolderHierarchyResponseMessage";
    // GetUserOofSettings
    XmlElementNames.GetUserOofSettingsRequest = "GetUserOofSettingsRequest";
    XmlElementNames.GetUserOofSettingsResponse = "GetUserOofSettingsResponse";
    // SetUserOofSettings
    XmlElementNames.SetUserOofSettingsRequest = "SetUserOofSettingsRequest";
    XmlElementNames.SetUserOofSettingsResponse = "SetUserOofSettingsResponse";
    // GetUserAvailability
    XmlElementNames.GetUserAvailabilityRequest = "GetUserAvailabilityRequest";
    XmlElementNames.GetUserAvailabilityResponse = "GetUserAvailabilityResponse";
    XmlElementNames.FreeBusyResponseArray = "FreeBusyResponseArray";
    XmlElementNames.FreeBusyResponse = "FreeBusyResponse";
    XmlElementNames.SuggestionsResponse = "SuggestionsResponse";
    // GetRoomLists
    XmlElementNames.GetRoomListsRequest = "GetRoomLists";
    XmlElementNames.GetRoomListsResponse = "GetRoomListsResponse";
    // GetRooms
    XmlElementNames.GetRoomsRequest = "GetRooms";
    XmlElementNames.GetRoomsResponse = "GetRoomsResponse";
    // ConvertId
    XmlElementNames.ConvertId = "ConvertId";
    XmlElementNames.ConvertIdResponse = "ConvertIdResponse";
    XmlElementNames.ConvertIdResponseMessage = "ConvertIdResponseMessage";
    // AddDelegate
    XmlElementNames.AddDelegate = "AddDelegate";
    XmlElementNames.AddDelegateResponse = "AddDelegateResponse";
    XmlElementNames.DelegateUserResponseMessageType = "DelegateUserResponseMessageType";
    // RemoveDelegte
    XmlElementNames.RemoveDelegate = "RemoveDelegate";
    XmlElementNames.RemoveDelegateResponse = "RemoveDelegateResponse";
    // GetDelegate
    XmlElementNames.GetDelegate = "GetDelegate";
    XmlElementNames.GetDelegateResponse = "GetDelegateResponse";
    // UpdateDelegate
    XmlElementNames.UpdateDelegate = "UpdateDelegate";
    XmlElementNames.UpdateDelegateResponse = "UpdateDelegateResponse";
    // CreateUserConfiguration
    XmlElementNames.CreateUserConfiguration = "CreateUserConfiguration";
    XmlElementNames.CreateUserConfigurationResponse = "CreateUserConfigurationResponse";
    XmlElementNames.CreateUserConfigurationResponseMessage = "CreateUserConfigurationResponseMessage";
    // DeleteUserConfiguration
    XmlElementNames.DeleteUserConfiguration = "DeleteUserConfiguration";
    XmlElementNames.DeleteUserConfigurationResponse = "DeleteUserConfigurationResponse";
    XmlElementNames.DeleteUserConfigurationResponseMessage = "DeleteUserConfigurationResponseMessage";
    // GetUserConfiguration
    XmlElementNames.GetUserConfiguration = "GetUserConfiguration";
    XmlElementNames.GetUserConfigurationResponse = "GetUserConfigurationResponse";
    XmlElementNames.GetUserConfigurationResponseMessage = "GetUserConfigurationResponseMessage";
    // UpdateUserConfiguration
    XmlElementNames.UpdateUserConfiguration = "UpdateUserConfiguration";
    XmlElementNames.UpdateUserConfigurationResponse = "UpdateUserConfigurationResponse";
    XmlElementNames.UpdateUserConfigurationResponseMessage = "UpdateUserConfigurationResponseMessage";
    // PlayOnPhone
    XmlElementNames.PlayOnPhone = "PlayOnPhone";
    XmlElementNames.PlayOnPhoneResponse = "PlayOnPhoneResponse";
    // GetPhoneCallInformation
    XmlElementNames.GetPhoneCall = "GetPhoneCallInformation";
    XmlElementNames.GetPhoneCallResponse = "GetPhoneCallInformationResponse";
    // DisconnectCall
    XmlElementNames.DisconnectPhoneCall = "DisconnectPhoneCall";
    XmlElementNames.DisconnectPhoneCallResponse = "DisconnectPhoneCallResponse";
    // GetServerTimeZones
    XmlElementNames.GetServerTimeZones = "GetServerTimeZones";
    XmlElementNames.GetServerTimeZonesResponse = "GetServerTimeZonesResponse";
    XmlElementNames.GetServerTimeZonesResponseMessage = "GetServerTimeZonesResponseMessage";
    // GetInboxRules
    XmlElementNames.GetInboxRules = "GetInboxRules";
    XmlElementNames.GetInboxRulesResponse = "GetInboxRulesResponse";
    // UpdateInboxRules
    XmlElementNames.UpdateInboxRules = "UpdateInboxRules";
    XmlElementNames.UpdateInboxRulesResponse = "UpdateInboxRulesResponse";
    // ExecuteDiagnosticMethod
    XmlElementNames.ExecuteDiagnosticMethod = "ExecuteDiagnosticMethod";
    XmlElementNames.ExecuteDiagnosticMethodResponse = "ExecuteDiagnosticMethodResponse";
    XmlElementNames.ExecuteDiagnosticMethodResponseMEssage = "ExecuteDiagnosticMethodResponseMessage";
    //GetPasswordExpirationDate
    XmlElementNames.GetPasswordExpirationDateRequest = "GetPasswordExpirationDate";
    XmlElementNames.GetPasswordExpirationDateResponse = "GetPasswordExpirationDateResponse";
    // GetSearchableMailboxes
    XmlElementNames.GetSearchableMailboxes = "GetSearchableMailboxes";
    XmlElementNames.GetSearchableMailboxesResponse = "GetSearchableMailboxesResponse";
    // GetDiscoverySearchConfiguration
    XmlElementNames.GetDiscoverySearchConfiguration = "GetDiscoverySearchConfiguration";
    XmlElementNames.GetDiscoverySearchConfigurationResponse = "GetDiscoverySearchConfigurationResponse";
    // GetHoldOnMailboxes
    XmlElementNames.GetHoldOnMailboxes = "GetHoldOnMailboxes";
    XmlElementNames.GetHoldOnMailboxesResponse = "GetHoldOnMailboxesResponse";
    // SetHoldOnMailboxes
    XmlElementNames.SetHoldOnMailboxes = "SetHoldOnMailboxes";
    XmlElementNames.SetHoldOnMailboxesResponse = "SetHoldOnMailboxesResponse";
    // SearchMailboxes
    XmlElementNames.SearchMailboxes = "SearchMailboxes";
    XmlElementNames.SearchMailboxesResponse = "SearchMailboxesResponse";
    XmlElementNames.SearchMailboxesResponseMessage = "SearchMailboxesResponseMessage";
    // GetNonIndexableItemDetails
    XmlElementNames.GetNonIndexableItemDetails = "GetNonIndexableItemDetails";
    XmlElementNames.GetNonIndexableItemDetailsResponse = "GetNonIndexableItemDetailsResponse";
    // GetNonIndexableItemStatistics
    XmlElementNames.GetNonIndexableItemStatistics = "GetNonIndexableItemStatistics";
    XmlElementNames.GetNonIndexableItemStatisticsResponse = "GetNonIndexableItemStatisticsResponse";
    // eDiscovery
    XmlElementNames.SearchQueries = "SearchQueries";
    XmlElementNames.SearchQuery = "SearchQuery";
    XmlElementNames.MailboxQuery = "MailboxQuery";
    XmlElementNames.Query = "Query";
    XmlElementNames.MailboxSearchScopes = "MailboxSearchScopes";
    XmlElementNames.MailboxSearchScope = "MailboxSearchScope";
    XmlElementNames.SearchScope = "SearchScope";
    XmlElementNames.ResultType = "ResultType";
    XmlElementNames.SortBy = "SortBy";
    XmlElementNames.Order = "Order";
    XmlElementNames.Language = "Language";
    XmlElementNames.Deduplication = "Deduplication";
    XmlElementNames.PageSize = "PageSize";
    XmlElementNames.PageItemReference = "PageItemReference";
    XmlElementNames.PageDirection = "PageDirection";
    XmlElementNames.PreviewItemResponseShape = "PreviewItemResponseShape";
    XmlElementNames.ExtendedProperties = "ExtendedProperties";
    XmlElementNames.PageItemSize = "PageItemSize";
    XmlElementNames.PageItemCount = "PageItemCount";
    XmlElementNames.ItemCount = "ItemCount";
    XmlElementNames.KeywordStats = "KeywordStats";
    XmlElementNames.KeywordStat = "KeywordStat";
    XmlElementNames.Keyword = "Keyword";
    XmlElementNames.ItemHits = "ItemHits";
    XmlElementNames.SearchPreviewItem = "SearchPreviewItem";
    XmlElementNames.ChangeKey = "ChangeKey";
    XmlElementNames.ParentId = "ParentId";
    XmlElementNames.MailboxId = "MailboxId";
    XmlElementNames.UniqueHash = "UniqueHash";
    XmlElementNames.SortValue = "SortValue";
    XmlElementNames.OwaLink = "OwaLink";
    XmlElementNames.SmtpAddress = "SmtpAddress";
    XmlElementNames.CreatedTime = "CreatedTime";
    XmlElementNames.ReceivedTime = "ReceivedTime";
    XmlElementNames.SentTime = "SentTime";
    XmlElementNames.Preview = "Preview";
    XmlElementNames.HasAttachment = "HasAttachment";
    XmlElementNames.FailedMailboxes = "FailedMailboxes";
    XmlElementNames.FailedMailbox = "FailedMailbox";
    XmlElementNames.Token = "Token";
    XmlElementNames.Refiners = "Refiners";
    XmlElementNames.Refiner = "Refiner";
    XmlElementNames.MailboxStats = "MailboxStats";
    XmlElementNames.MailboxStat = "MailboxStat";
    XmlElementNames.HoldId = "HoldId";
    XmlElementNames.ActionType = "ActionType";
    XmlElementNames.Mailboxes = "Mailboxes";
    XmlElementNames.SearchFilter = "SearchFilter";
    XmlElementNames.ReferenceId = "ReferenceId";
    XmlElementNames.IsMembershipGroup = "IsMembershipGroup";
    XmlElementNames.ExpandGroupMembership = "ExpandGroupMembership";
    XmlElementNames.SearchableMailboxes = "SearchableMailboxes";
    XmlElementNames.SearchableMailbox = "SearchableMailbox";
    XmlElementNames.SearchMailboxesResult = "SearchMailboxesResult";
    XmlElementNames.MailboxHoldResult = "MailboxHoldResult";
    XmlElementNames.Statuses = "Statuses";
    XmlElementNames.MailboxHoldStatuses = "MailboxHoldStatuses";
    XmlElementNames.MailboxHoldStatus = "MailboxHoldStatus";
    XmlElementNames.AdditionalInfo = "AdditionalInfo";
    XmlElementNames.NonIndexableItemDetail = "NonIndexableItemDetail";
    XmlElementNames.NonIndexableItemStatistic = "NonIndexableItemStatistic";
    XmlElementNames.NonIndexableItemDetails = "NonIndexableItemDetails";
    XmlElementNames.NonIndexableItemStatistics = "NonIndexableItemStatistics";
    XmlElementNames.NonIndexableItemDetailsResult = "NonIndexableItemDetailsResult";
    XmlElementNames.SearchArchiveOnly = "SearchArchiveOnly";
    XmlElementNames.ErrorDescription = "ErrorDescription";
    XmlElementNames.IsPartiallyIndexed = "IsPartiallyIndexed";
    XmlElementNames.IsPermanentFailure = "IsPermanentFailure";
    XmlElementNames.AttemptCount = "AttemptCount";
    XmlElementNames.LastAttemptTime = "LastAttemptTime";
    XmlElementNames.SearchId = "SearchId";
    XmlElementNames.DiscoverySearchConfigurations = "DiscoverySearchConfigurations";
    XmlElementNames.DiscoverySearchConfiguration = "DiscoverySearchConfiguration";
    XmlElementNames.InPlaceHoldConfigurationOnly = "InPlaceHoldConfigurationOnly";
    XmlElementNames.InPlaceHoldIdentity = "InPlaceHoldIdentity";
    XmlElementNames.ItemHoldPeriod = "ItemHoldPeriod";
    XmlElementNames.ManagedByOrganization = "ManagedByOrganization";
    XmlElementNames.IsExternalMailbox = "IsExternalMailbox";
    XmlElementNames.ExternalEmailAddress = "ExternalEmailAddress";
    XmlElementNames.ExtendedAttributes = "ExtendedAttributes";
    XmlElementNames.ExtendedAttribute = "ExtendedAttribute";
    XmlElementNames.ExtendedAttributeName = "Name";
    XmlElementNames.ExtendedAttributeValue = "Value";
    XmlElementNames.SearchScopeType = "SearchScopeType";
    /** per github issue #120 */
    XmlElementNames.IncludeNonIndexableItems = "IncludeNonIndexableItems";
    // GetAppManifests
    XmlElementNames.GetAppManifestsRequest = "GetAppManifests";
    XmlElementNames.GetAppManifestsResponse = "GetAppManifestsResponse";
    XmlElementNames.Manifests = "Manifests";
    XmlElementNames.Manifest = "Manifest";
    // GetAppManifests for TargetServerVersion > 2.5
    XmlElementNames.Apps = "Apps";
    XmlElementNames.App = "App";
    XmlElementNames.Metadata = "Metadata";
    XmlElementNames.ActionUrl = "ActionUrl";
    XmlElementNames.AppStatus = "AppStatus";
    XmlElementNames.EndNodeUrl = "EndNodeUrl";
    // GetClientExtension/SetClientExtension
    XmlElementNames.GetClientExtensionRequest = "GetClientExtension";
    XmlElementNames.ClientExtensionUserRequest = "UserParameters";
    XmlElementNames.ClientExtensionUserEnabled = "UserEnabledExtensions";
    XmlElementNames.ClientExtensionUserDisabled = "UserDisabledExtensions";
    XmlElementNames.ClientExtensionRequestedIds = "RequestedExtensionIds";
    XmlElementNames.ClientExtensionIsDebug = "IsDebug";
    XmlElementNames.ClientExtensionRawMasterTableXml = "RawMasterTableXml";
    XmlElementNames.GetClientExtensionResponse = "GetClientExtensionResponse";
    XmlElementNames.ClientExtensionSpecificUsers = "SpecificUsers";
    XmlElementNames.ClientExtensions = "ClientExtensions";
    XmlElementNames.ClientExtension = "ClientExtension";
    XmlElementNames.SetClientExtensionRequest = "SetClientExtension";
    XmlElementNames.SetClientExtensionActions = "Actions";
    XmlElementNames.SetClientExtensionAction = "Action";
    XmlElementNames.SetClientExtensionResponse = "SetClientExtensionResponse";
    XmlElementNames.SetClientExtensionResponseMessage = "SetClientExtensionResponseMessage";
    // GetEncryptionConfiguration/SetEncryptionConfiguration
    XmlElementNames.GetEncryptionConfigurationRequest = "GetEncryptionConfiguration";
    XmlElementNames.SetEncryptionConfigurationRequest = "SetEncryptionConfiguration";
    XmlElementNames.EncryptionConfigurationImageBase64 = "ImageBase64";
    XmlElementNames.EncryptionConfigurationEmailText = "EmailText";
    XmlElementNames.EncryptionConfigurationPortalText = "PortalText";
    XmlElementNames.EncryptionConfigurationDisclaimerText = "DisclaimerText";
    XmlElementNames.EncryptionConfigurationOTPEnabled = "OTPEnabled";
    XmlElementNames.GetEncryptionConfigurationResponse = "GetEncryptionConfigurationResponse";
    XmlElementNames.SetEncryptionConfigurationResponse = "SetEncryptionConfigurationResponse";
    // GetOMEConfiguration/SetOMEConfiguration
    XmlElementNames.GetOMEConfigurationRequest = "GetOMEConfiguration";
    XmlElementNames.SetOMEConfigurationRequest = "SetOMEConfiguration";
    XmlElementNames.OMEConfigurationXml = "Xml";
    XmlElementNames.GetOMEConfigurationResponse = "GetOMEConfigurationResponse";
    XmlElementNames.SetOMEConfigurationResponse = "SetOMEConfigurationResponse";
    // InstallApp
    XmlElementNames.InstallAppRequest = "InstallApp";
    XmlElementNames.InstallAppResponse = "InstallAppResponse";
    // UninstallApp
    XmlElementNames.UninstallAppRequest = "UninstallApp";
    XmlElementNames.UninstallAppResponse = "UninstallAppResponse";
    // DisableApp
    XmlElementNames.DisableAppRequest = "DisableApp";
    XmlElementNames.DisableAppResponse = "DisableAppResponse";
    // RegisterConsent
    XmlElementNames.RegisterConsentRequest = "RegisterConsent";
    XmlElementNames.RegisterConsentResponse = "RegisterConsentResponse";
    // GetAppMarketplaceUrl
    XmlElementNames.GetAppMarketplaceUrlRequest = "GetAppMarketplaceUrl";
    XmlElementNames.GetAppMarketplaceUrlResponse = "GetAppMarketplaceUrlResponse";
    // GetUserRetentionPolicyTags
    XmlElementNames.GetUserRetentionPolicyTags = "GetUserRetentionPolicyTags";
    XmlElementNames.GetUserRetentionPolicyTagsResponse = "GetUserRetentionPolicyTagsResponse";
    // MRM
    XmlElementNames.RetentionPolicyTags = "RetentionPolicyTags";
    XmlElementNames.RetentionPolicyTag = "RetentionPolicyTag";
    XmlElementNames.RetentionId = "RetentionId";
    XmlElementNames.RetentionPeriod = "RetentionPeriod";
    XmlElementNames.RetentionAction = "RetentionAction";
    XmlElementNames.Description = "Description";
    XmlElementNames.IsVisible = "IsVisible";
    XmlElementNames.OptedInto = "OptedInto";
    XmlElementNames.IsArchive = "IsArchive";
    /* #endregion */
    /* #region Groups */
    // GetUserUnifiedGroups
    XmlElementNames.GetUserUnifiedGroups = "GetUserUnifiedGroups";
    XmlElementNames.RequestedGroupsSets = "RequestedGroupsSets";
    XmlElementNames.RequestedUnifiedGroupsSetItem = "RequestedUnifiedGroupsSet";
    XmlElementNames.SortType = "SortType";
    XmlElementNames.FilterType = "FilterType";
    XmlElementNames.SortDirection = "SortDirection";
    XmlElementNames.GroupsLimit = "GroupsLimit";
    XmlElementNames.UserSmtpAddress = "UserSmtpAddress";
    XmlElementNames.GetUserUnifiedGroupsResponseMessage = "GetUserUnifiedGroupsResponseMessage";
    XmlElementNames.GroupsSets = "GroupsSets";
    XmlElementNames.UnifiedGroupsSet = "UnifiedGroupsSet";
    XmlElementNames.TotalGroups = "TotalGroups";
    XmlElementNames.GroupsTag = "Groups";
    XmlElementNames.UnifiedGroup = "UnifiedGroup";
    XmlElementNames.MailboxGuid = "MailboxGuid";
    XmlElementNames.LastVisitedTimeUtc = "LastVisitedTimeUtc";
    XmlElementNames.AccessType = "AccessType";
    XmlElementNames.ExternalDirectoryObjectId = "ExternalDirectoryObjectId";
    // GetUnifiedGroupUnseenCount
    XmlElementNames.GetUnifiedGroupUnseenCount = "GetUnifiedGroupUnseenCount";
    XmlElementNames.GroupIdentity = "GroupIdentity";
    XmlElementNames.GroupIdentityType = "IdentityType";
    XmlElementNames.GroupIdentityValue = "Value";
    XmlElementNames.GetUnifiedGroupUnseenCountResponseMessage = "GetUnifiedGroupUnseenCountResponseMessage";
    XmlElementNames.UnseenCount = "UnseenCount";
    // SetUnifiedGroupLastVisitedTimeRequest
    XmlElementNames.SetUnifiedGroupLastVisitedTime = "SetUnifiedGroupLastVisitedTime";
    XmlElementNames.SetUnifiedGroupLastVisitedTimeResponseMessage = "SetUnifiedGroupLastVisitedTimeResponseMessage";
    /* #endregion */
    /* #region SOAP element names */
    XmlElementNames.SOAPEnvelopeElementName = "Envelope";
    XmlElementNames.SOAPHeaderElementName = "Header";
    XmlElementNames.SOAPBodyElementName = "Body";
    XmlElementNames.SOAPFaultElementName = "Fault";
    XmlElementNames.SOAPFaultCodeElementName = "faultcode";
    XmlElementNames.SOAPFaultStringElementName = "faultstring";
    XmlElementNames.SOAPFaultActorElementName = "faultactor";
    XmlElementNames.SOAPDetailElementName = "detail";
    XmlElementNames.EwsResponseCodeElementName = "ResponseCode";
    XmlElementNames.EwsMessageElementName = "Message";
    XmlElementNames.EwsLineElementName = "Line";
    XmlElementNames.EwsPositionElementName = "Position";
    XmlElementNames.EwsErrorCodeElementName = "ErrorCode"; // Generated by Availability
    XmlElementNames.EwsExceptionTypeElementName = "ExceptionType"; // Generated by UM
    /* #endregion */
})(XmlElementNames = exports.XmlElementNames || (exports.XmlElementNames = {}));
//# sourceMappingURL=XmlElementNames.js.map