"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PhoneNumberKey = void 0;
/**
 * Defines phone number entries for a contact.
 */
var PhoneNumberKey;
(function (PhoneNumberKey) {
    /**
     * The assistant's phone number.
     */
    PhoneNumberKey[PhoneNumberKey["AssistantPhone"] = 0] = "AssistantPhone";
    /**
     * The business fax number.
     */
    PhoneNumberKey[PhoneNumberKey["BusinessFax"] = 1] = "BusinessFax";
    /**
     * The business phone number.
     */
    PhoneNumberKey[PhoneNumberKey["BusinessPhone"] = 2] = "BusinessPhone";
    /**
     * The second business phone number.
     */
    PhoneNumberKey[PhoneNumberKey["BusinessPhone2"] = 3] = "BusinessPhone2";
    /**
     * The callback number.
     */
    PhoneNumberKey[PhoneNumberKey["Callback"] = 4] = "Callback";
    /**
     * The car phone number.
     */
    PhoneNumberKey[PhoneNumberKey["CarPhone"] = 5] = "CarPhone";
    /**
     * The company's main phone number.
     */
    PhoneNumberKey[PhoneNumberKey["CompanyMainPhone"] = 6] = "CompanyMainPhone";
    /**
     * The home fax number.
     */
    PhoneNumberKey[PhoneNumberKey["HomeFax"] = 7] = "HomeFax";
    /**
     * The home phone number.
     */
    PhoneNumberKey[PhoneNumberKey["HomePhone"] = 8] = "HomePhone";
    /**
     * The second home phone number.
     */
    PhoneNumberKey[PhoneNumberKey["HomePhone2"] = 9] = "HomePhone2";
    /**
     * The ISDN number.
     */
    PhoneNumberKey[PhoneNumberKey["Isdn"] = 10] = "Isdn";
    /**
     * The mobile phone number.
     */
    PhoneNumberKey[PhoneNumberKey["MobilePhone"] = 11] = "MobilePhone";
    /**
     * An alternate fax number.
     */
    PhoneNumberKey[PhoneNumberKey["OtherFax"] = 12] = "OtherFax";
    /**
     * An alternate phone number.
     */
    PhoneNumberKey[PhoneNumberKey["OtherTelephone"] = 13] = "OtherTelephone";
    /**
     * The pager number.
     */
    PhoneNumberKey[PhoneNumberKey["Pager"] = 14] = "Pager";
    /**
     * The primary phone number.
     */
    PhoneNumberKey[PhoneNumberKey["PrimaryPhone"] = 15] = "PrimaryPhone";
    /**
     * The radio phone number.
     */
    PhoneNumberKey[PhoneNumberKey["RadioPhone"] = 16] = "RadioPhone";
    /**
     * The Telex number
     */
    PhoneNumberKey[PhoneNumberKey["Telex"] = 17] = "Telex";
    /**
     * The TTY/TTD phone number.
     */
    PhoneNumberKey[PhoneNumberKey["TtyTddPhone"] = 18] = "TtyTddPhone";
})(PhoneNumberKey = exports.PhoneNumberKey || (exports.PhoneNumberKey = {}));
//# sourceMappingURL=PhoneNumberKey.js.map